<?php
/**
 * w3layouts Theme About page Customizer
 *
 * @package w3layouts
 */

$w3layouts_About_settings=new w3layouts_About_customizer_settings();

class w3layouts_About_customizer_settings {
    // Get our default values
    // private $defaults;

    public function __construct() {
        // add_action( 'customize_register', array( $this, 'w3layouts_about_cust_register' ) );
        add_action('customize_register', array($this, 'w3layouts_AboutPage_panels'));



    }

    public function w3layouts_AboutPage_panels($wp_customize) {
        /**
 		 * Add our Header & Navigation Panel
 		 */
        $wp_customize->add_panel('AboutPage_panel',
            array('title'=> __('About Page Customize', 'w3layouts'),
                'priority'=> 30,
                'description'=> esc_html__('add and update AboutPage data.', 'w3layouts')));

        
        $wp_customize->add_section('AllPagesBreadcrumbs',
            array('title'=> __('Breadcrumbs Required', 'w3layouts'),
                'description'=> esc_html__('', 'w3layouts'),
                'panel'=> 'AboutPage_panel'
            ));

        $wp_customize->add_section('AboutPageBannerSection',
            array('title'=> __('Section 1 About Banner', 'w3layouts'),
                'description'=> esc_html__('', 'w3layouts'),
                'panel'=> 'AboutPage_panel'
            ));

        $wp_customize->add_section('AboutPageAboutSection',
            array('title'=> __('Section 2 About', 'w3layouts'),
                'description'=> esc_html__('', 'w3layouts'),
                'panel'=> 'AboutPage_panel'
            ));

        $wp_customize->add_section('AboutPageGridsSection',
			array('title'=> __('Section 3 Grids', 'w3layouts'),
				'description'=> esc_html__('', 'w3layouts'),
				'panel'=> 'AboutPage_panel'
			));

        $wp_customize->add_section('AboutPageCWPSection',
            array('title'=> __('Section 4 Content With Photo', 'w3layouts'),
                'description'=> esc_html__('', 'w3layouts'),
                'panel'=> 'AboutPage_panel'
            ));

        $wp_customize->add_section('AboutPageTeamSection',
            array('title'=> __('Section 5 Team', 'w3layouts'),
                'description'=> esc_html__('', 'w3layouts'),
                'panel'=> 'AboutPage_panel'
            ));

        $wp_customize->add_section('AboutPageTestimonialsSection',
            array('title'=> __('Section 6 Testimonials', 'w3layouts'),
                'description'=> esc_html__('', 'w3layouts'),
				'panel'=> 'AboutPage_panel'
            ));




       
        /** All pages breadcrumbs section starts **/
        $wp_customize->add_setting('BreadcrumbsRequired',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'BreadcrumbsRequired',
                array('label'=> __('Breadcrumbs Required', 'w3layouts'),
                    'section'=> 'AllPagesBreadcrumbs',
                    'settings'=> 'BreadcrumbsRequired',
                    'priority'=> 1)));
        $wp_customize->selective_refresh->add_partial('BreadcrumbsRequired', array('selector'=> 'div.AllBreadcrumbs', // You can also select a css class
            ));
        /** All pages breadcrumbs section ends **/



        /** AboutPage Banner section starts **/

        $wp_customize->add_setting('AboutPageMainTitleRequired',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageMainTitleRequired',
                array('label'=> __('AboutPage MainTitle Required', 'w3layouts'),
                    'section'=> 'AboutPageBannerSection',
                    'settings'=> 'AboutPageMainTitleRequired'
                )));
        $wp_customize->selective_refresh->add_partial('AboutPageMainTitleRequired', array('selector'=> 'h4.AboutBanner', // You can also select a css class
            ));

        $wp_customize->add_setting('AboutBannerMainTitle', array('default'=> 'About Us',
                'transport'=> 'refresh', ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutBannerMainTitle',
                array('label'=> __('AboutPage Main Title', 'w3layouts'),
                    'section'=> 'AboutPageBannerSection',
                    'settings'=> 'AboutBannerMainTitle'
                )));

        /** AboutPage Banner section ends **/

        
        /** AboutPage About Section starts **/

        $wp_customize->add_setting('AboutPageAboutRequired',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageAboutRequired',
                array('label'=> __('AboutPage About Section Required', 'w3layouts'),
                    'section'=> 'AboutPageAboutSection',
                    'settings'=> 'AboutPageAboutRequired',
                    'priority'=> 1)));
        $wp_customize->selective_refresh->add_partial('AboutPageAboutRequired', array('selector'=> 'div.AboutPageAbout', // You can also select a css class
            ));

        $wp_customize->add_setting('AboutPageAboutTitle', array('default'=> "<span>We Work</span> for your best Success",
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageAboutTitle',
                array('label'=> __('About Title', 'w3layouts'),
                    'section'=> 'AboutPageAboutSection',
                    'settings'=> 'AboutPageAboutTitle'
                )));

        $wp_customize->add_setting('AboutPageAboutContent', array('default'=> 'Consectetur adipiscing elit. Aliquam sit amet efficitur tortor.Uspendisse efficitur orci urna. In et augue ornare, tempor massa in, luctus sapien.',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'AboutPageAboutContent',
            array('label'=> __('About Content', 'w3layouts'),
                'section'=> 'AboutPageAboutSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                    'style'=> 'border: 1px solid #999',
                    'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));

        $wp_customize->add_setting('AboutPageAboutListRequired',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageAboutListRequired',
            array('label'=> __('About List Required', 'w3layouts'),
                'section'=> 'AboutPageAboutSection',
                'settings'=> 'AboutPageAboutListRequired'
            )));

        $wp_customize->add_setting('AboutPageAboutListItem1', array('default'=> 'Ut enim ad minim veniam',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'AboutPageAboutListItem1',
            array('label'=> __('About List Item1', 'w3layouts'),
            'section'=> 'AboutPageAboutSection',
            'settings'=> 'AboutPageAboutListItem1'
        )));
        
        $wp_customize->add_setting('AboutPageAboutListItem2', array('default'=> 'Quis nostrud exercitation ullamco laboris',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'AboutPageAboutListItem2',
            array('label'=> __('About List Item2', 'w3layouts'),
            'section'=> 'AboutPageAboutSection',
            'settings'=> 'AboutPageAboutListItem2'
        )));

        $wp_customize->add_setting('AboutPageAboutListItem3', array('default'=> 'Nisi ut aliquip ex ea commodo consequat',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'AboutPageAboutListItem3',
            array('label'=> __('About List Item3', 'w3layouts'),
            'section'=> 'AboutPageAboutSection',
            'settings'=> 'AboutPageAboutListItem3'
        )));
        $wp_customize->add_setting('AboutPageAboutBtnURL', array('default'=> '#url',
        'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageAboutBtnURL',
                array('label'=> __('About Button URL', 'w3layouts'),
                'section'=> 'AboutPageAboutSection',
                'settings'=> 'AboutPageAboutBtnURL'
                )));

        $wp_customize->add_setting('AboutPageAboutBtnTxt', array('default'=> 'View Our Services',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'AboutPageAboutBtnTxt',
            array('label'=> __('About Button Text', 'w3layouts'),
            'section'=> 'AboutPageAboutSection',
            'settings'=> 'AboutPageAboutBtnTxt'
        )));
            
        $wp_customize->add_setting('AboutPageAboutImage',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'AboutPageAboutImage',
            array('label'=> __('About Right image'),
            'description'=> esc_html__(''),
            'section'=> 'AboutPageAboutSection',
            'flex_width'=> false, // Optional. Default: false
            'flex_height'=> true, // Optional. Default: false
            'width'=> 640, // Optional. Default: 150
            'height'=> 427, // Optional. Default: 150
            'button_labels'=> array( // Optional.
                'select'=> __('Select Image'),
                'change'=> __('Change Image'),
                'remove'=> __('Remove'),
                'default'=> __('Default'),
                'placeholder'=> __('No image selected'),
                'frame_title'=> __('Select Image'),
                'frame_button'=> __('Choose Image'),
            ))));
            
        // AboutPage About Section top & bottom  textarea

        $wp_customize->add_setting('AboutPageAboutTopArea', array('default'=> '',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageAboutTopArea',
                array('label'=> __('About Top', 'w3layouts'),
                    'section'=> 'AboutPageAboutSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));

        // $wp_customize->add_setting('AboutPageAboutBottomArea', array('default'=> '',
        //         'transport'=> 'refresh',
        //     ));
        // $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        //         'AboutPageAboutBottomArea',
        //         array('label'=> __('About Bottom', 'w3layouts'),
        //             'section'=> 'AboutPageAboutSection',
        //             'type'=> 'textarea',
        //             'input_attrs'=> array('class'=> 'my-custom-class',
        //                 'style'=> 'border: 1px solid #999',
        //                 'placeholder'=> __('Enter message...', 'w3layouts'),
        //             ),
        //         )));

        // AboutPage About Section top & bottom  textarea

        /** AboutPage About Section ends **/



        /** AboutPage Grids Section starts **/

        $wp_customize->add_setting('AboutPageGridsRequired',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageGridsRequired',
                array('label'=> __('AboutPage Grids Section Required', 'w3layouts'),
                    'section'=> 'AboutPageGridsSection',
                    'settings'=> 'AboutPageGridsRequired',
                    'priority'=> 1)));
        $wp_customize->selective_refresh->add_partial('AboutPageGridsRequired', array('selector'=> 'div.AboutPageGrids', // You can also select a css class
            ));

        // Grid1 starts
        $wp_customize->add_setting('AboutPageGrid1Required',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageGrid1Required',
                array('label'=> __('AboutPage Grid1 Required', 'w3layouts'),					
                    'section'=> 'AboutPageGridsSection',
                    'settings'=> 'AboutPageGrid1Required'
                )));

        $wp_customize->add_setting('AboutPageGrid1Icon', array('default'=> 'fas fa-thumbs-up',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageGrid1Icon',
                array('label'=> __('AboutPage Grid1 Icon', 'w3layouts'),
                    'section'=> 'AboutPageGridsSection',
                    'settings'=> 'AboutPageGrid1Icon'
                )));

        $wp_customize->add_setting('AboutPageGrid1Title', array('default'=> "Great Support",
                'transport'=> 'refresh',
            ));

        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageGrid1Title',
                array('label'=> __('AboutPage Grid1 Title', 'w3layouts'),
                    'section'=> 'AboutPageGridsSection',
                    'settings'=> 'AboutPageGrid1Title',
                )));
        
        $wp_customize->add_setting('AboutPageGrid1Url', array('default'=> '#url',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageGrid1Url',
                array('label'=> __('AboutPage Grid1 Title URL', 'w3layouts'),
                    'section'=> 'AboutPageGridsSection',
                    'settings'=> 'AboutPageGrid1Url'
                )));

        $wp_customize->add_setting('AboutPageGrid1Content', array('default'=> 'Sed ut perspiciatis unde omnis iste natus error sit accus antium dolor emque lauda ntium.',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'AboutPageGrid1Content',
            array('label'=> __('AboutPage Grid1 Content', 'w3layouts'),
                'section'=> 'AboutPageGridsSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                    'style'=> 'border: 1px solid #999',
                    'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));

        $wp_customize->add_setting('AboutPageGrid1BtnTxt', array('default'=> "Read More",
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageGrid1BtnTxt',
                array('label'=> __('AboutPage Grid1 Btn Text', 'w3layouts'),
                    'section'=> 'AboutPageGridsSection',
                    'settings'=> 'AboutPageGrid1BtnTxt',
                )));
        // Grid1 ends


        // Grid2 starts
        $wp_customize->add_setting('AboutPageGrid2Required',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageGrid2Required',
                array('label'=> __('AboutPage Grid2 Required', 'w3layouts'),					
                    'section'=> 'AboutPageGridsSection',
                    'settings'=> 'AboutPageGrid2Required'
                )));

        $wp_customize->add_setting('AboutPageGrid2Icon', array('default'=> 'fas fa-swatchbook',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageGrid2Icon',
                array('label'=> __('AboutPage Grid2 Icon', 'w3layouts'),
                    'section'=> 'AboutPageGridsSection',
                    'settings'=> 'AboutPageGrid2Icon'
                )));

        $wp_customize->add_setting('AboutPageGrid2Title', array('default'=> "Unique Technology",
                'transport'=> 'refresh',
            ));

        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageGrid2Title',
                array('label'=> __('AboutPage Grid2 Title', 'w3layouts'),
                    'section'=> 'AboutPageGridsSection',
                    'settings'=> 'AboutPageGrid2Title',
                )));
        
        $wp_customize->add_setting('AboutPageGrid2Url', array('default'=> '#url',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageGrid2Url',
                array('label'=> __('AboutPage Grid2 Title URL', 'w3layouts'),
                    'section'=> 'AboutPageGridsSection',
                    'settings'=> 'AboutPageGrid2Url'
                )));

        $wp_customize->add_setting('AboutPageGrid2Content', array('default'=> 'Sed ut perspiciatis unde omnis iste natus error sit accus antium dolor emque lauda ntium.',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'AboutPageGrid2Content',
            array('label'=> __('AboutPage Grid2 Content', 'w3layouts'),
                'section'=> 'AboutPageGridsSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                    'style'=> 'border: 1px solid #999',
                    'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));
        $wp_customize->add_setting('AboutPageGrid2BtnTxt', array('default'=> "Read More",
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageGrid2BtnTxt',
                array('label'=> __('AboutPage Grid2 Btn Text', 'w3layouts'),
                    'section'=> 'AboutPageGridsSection',
                    'settings'=> 'AboutPageGrid2BtnTxt',
                )));
        // Grid2 ends

        // Grid3 starts
        $wp_customize->add_setting('AboutPageGrid3Required',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageGrid3Required',
                array('label'=> __('AboutPage Grid3 Required', 'w3layouts'),					
                    'section'=> 'AboutPageGridsSection',
                    'settings'=> 'AboutPageGrid3Required'
                )));

        $wp_customize->add_setting('AboutPageGrid3Icon', array('default'=> 'fas fa-oil-can',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageGrid3Icon',
                array('label'=> __('AboutPage Grid3 Icon', 'w3layouts'),
                    'section'=> 'AboutPageGridsSection',
                    'settings'=> 'AboutPageGrid3Icon'
                )));

        $wp_customize->add_setting('AboutPageGrid3Title', array('default'=> "Smart Work",
                'transport'=> 'refresh',
            ));

        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageGrid3Title',
                array('label'=> __('AboutPage Grid3 Title', 'w3layouts'),
                    'section'=> 'AboutPageGridsSection',
                    'settings'=> 'AboutPageGrid3Title',
                )));
        
        $wp_customize->add_setting('AboutPageGrid3Url', array('default'=> '#url',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageGrid3Url',
                array('label'=> __('AboutPage Grid3 Title URL', 'w3layouts'),
                    'section'=> 'AboutPageGridsSection',
                    'settings'=> 'AboutPageGrid3Url'
                )));

        $wp_customize->add_setting('AboutPageGrid3Content', array('default'=> 'Sed ut perspiciatis unde omnis iste natus error sit accus antium dolor emque lauda ntium.',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'AboutPageGrid3Content',
            array('label'=> __('AboutPage Grid3 Content', 'w3layouts'),
                'section'=> 'AboutPageGridsSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                    'style'=> 'border: 1px solid #999',
                    'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));
                
        $wp_customize->add_setting('AboutPageGrid3BtnTxt', array('default'=> "Read More",
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageGrid3BtnTxt',
                array('label'=> __('AboutPage Grid3 Btn Text', 'w3layouts'),
                    'section'=> 'AboutPageGridsSection',
                    'settings'=> 'AboutPageGrid3BtnTxt',
                )));
        // Grid3 ends

        // Grid4 ends

        // AboutPage Grids Section top & bottom  textarea

        $wp_customize->add_setting('AboutPageGridsTopArea', array('default'=> '',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageGridsTopArea',
                array('label'=> __('About Grids Top', 'w3layouts'),
                    'section'=> 'AboutPageGridsSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));

        $wp_customize->add_setting('AboutPageGridsBottomArea', array('default'=> '',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageGridsBottomArea',
                array('label'=> __('About Grids Bottom', 'w3layouts'),
                    'section'=> 'AboutPageGridsSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));

        // AboutPage Grids Section top & bottom  textarea

        /** AboutPage Grids Section ends **/




		/** AboutPage Content With Photo starts **/

		$wp_customize->add_setting('AboutPageCWPRequired',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageCWPRequired',
                array('label'=> __('AboutPage Content With Photo Section Required', 'w3layouts'),
                    'section'=> 'AboutPageCWPSection',
                    'settings'=> 'AboutPageCWPRequired',
                    'priority'=> 1)));

        $wp_customize->selective_refresh->add_partial('AboutPageCWPRequired', array('selector'=> 'div.AboutPageCWP', // You can also select a css class
            ));

        $wp_customize->add_setting('AboutPageCWPTitle1', array('default'=> 'Industry',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'AboutPageCWPTitle1',
            array('label'=> __('CWP Left Title1', 'w3layouts'),
                'section'=> 'AboutPageCWPSection',
                'settings'=> 'AboutPageCWPTitle1'
            )));

        $wp_customize->add_setting('AboutPageCWPTitle2', array('default'=> 'We Have <span>30+ Years</span> Of Experience',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'AboutPageCWPTitle2',
            array('label'=> __('CWP Left Title2', 'w3layouts'),
                'section'=> 'AboutPageCWPSection',
                'settings'=> 'AboutPageCWPTitle2'
            )));
            
        $wp_customize->add_setting('AboutPageCWPContent', array('default'=> 'Sed ut perspiciatis unde omnis iste natus error sit accus antium dolor emque lauda ntium.',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'AboutPageCWPContent',
            array('label'=> __('CWP Left Content', 'w3layouts'),
                'section'=> 'AboutPageCWPSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                    'style'=> 'border: 1px solid #999',
                    'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));
            
        $wp_customize->add_setting('AboutPageCWPBtnUrl', array('default'=> '#url',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'AboutPageCWPBtnUrl',
            array('label'=> __('CWP Left Btn Url', 'w3layouts'),
                'section'=> 'AboutPageCWPSection',
                'settings'=> 'AboutPageCWPBtnUrl'
            )));
            
        $wp_customize->add_setting('AboutPageCWPBtnTxt', array('default'=> 'Read More',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'AboutPageCWPBtnTxt',
            array('label'=> __('CWP Left Btn Text', 'w3layouts'),
                'section'=> 'AboutPageCWPSection',
                'settings'=> 'AboutPageCWPBtnTxt'
            )));

        // Content With Photo Middle Image

        $wp_customize->add_setting('AboutPageCWPImage',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'AboutPageCWPImage',
            array('label'=> __('CWP Middle image'),
            'description'=> esc_html__(''),
            'section'=> 'AboutPageCWPSection',
            'flex_width'=> false, // Optional. Default: false
            'flex_height'=> true, // Optional. Default: false
            'width'=> 640, // Optional. Default: 150
            'height'=> 853, // Optional. Default: 150
            'button_labels'=> array( // Optional.
            'select'=> __('Select Image'),
            'change'=> __('Change Image'),
            'remove'=> __('Remove'),
            'default'=> __('Default'),
            'placeholder'=> __('No image selected'),
            'frame_title'=> __('Select Image'),
            'frame_button'=> __('Choose Image'),
        ))));

        $wp_customize->add_setting('AboutPageCWPRightContent', array('default'=> 'Aliquam ac est vel nisl condimentum interdum vel eget enim. Curabitur mattis orci sed leo mattis, nec maximus nibh faucibus. Mauris et justo vel nibh rhoncus venenatis. Nullal dolor init condimentum interdum vel eget enim. Curabitur mattis orci sed le. Lorem dolor sit amet',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'AboutPageCWPRightContent',
            array('label'=> __('CWP Right Content', 'w3layouts'),
                'section'=> 'AboutPageCWPSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                    'style'=> 'border: 1px solid #999',
                    'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));

        $wp_customize->add_setting('AboutPageCWPRightTitle', array('default'=> 'Industries Website',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'AboutPageCWPRightTitle',
            array('label'=> __('CWP Right Title', 'w3layouts'),
                'section'=> 'AboutPageCWPSection',
                'settings'=> 'AboutPageCWPRightTitle'
            )));

        $wp_customize->add_setting('AboutPageCWPRightTxt', array('default'=> '- The Best Industry Theme.',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'AboutPageCWPRightTxt',
            array('label'=> __('CWP Right Text', 'w3layouts'),
                'section'=> 'AboutPageCWPSection',
                'settings'=> 'AboutPageCWPRightTxt'
            )));

        // AboutPage Content With Photo top & bottom area textarea

        $wp_customize->add_setting('AboutPageCWPTopArea', array('default'=> '',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageCWPTopArea',
                array('label'=> __('CWP Top', 'w3layouts'),
                    'section'=> 'AboutPageCWPSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));

        $wp_customize->add_setting('AboutPageCWPBottomArea', array('default'=> '',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageCWPBottomArea',
                array('label'=> __('CWP Bottom', 'w3layouts'),
                    'section'=> 'AboutPageCWPSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));
        // AboutPage Content With Photo top & bottom area textarea

        /** AboutPage Content With Photo section ends **/



        


        /** AboutPage Team starts **/

        $wp_customize->add_setting('AboutPageTeamRequired',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageTeamRequired',
                array('label'=> __('AboutPage Team Required', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeamRequired',
                    'priority'=> 1)));
        $wp_customize->selective_refresh->add_partial('AboutPageTeamRequired', array('selector'=> 'div.AboutPageTeam', // You can also select a css class
            ));

            $wp_customize->add_setting('AboutPageTeamBgImage',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));

        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'AboutPageTeamBgImage',
                array('label'=> __('Team Section Bg image'),
                'description'=> esc_html__(''),
                'section'=> 'AboutPageTeamSection',
                'flex_width'=> false, // Optional. Default: false
                'flex_height'=> true, // Optional. Default: false
                'width'=> 1760, // Optional. Default: 150
                'height'=> 900, // Optional. Default: 150
                'button_labels'=> array( // Optional.
                    'select'=> __('Select Image'),
                    'change'=> __('Change Image'),
                    'remove'=> __('Remove'),
                    'default'=> __('Default'),
                    'placeholder'=> __('No image selected'),
                    'frame_title'=> __('Select Image'),
                    'frame_button'=> __('Choose Image'),
                ))));

        $wp_customize->add_setting('AboutPageTeamTitle1', array('default'=> 'Our Team',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeamTitle1',
                array('label'=> __('Team Section Title1', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeamTitle1'
                )));

        $wp_customize->add_setting('AboutPageTeamTitle2', array('default'=> 'We Always Work With A Great <span>Team</span>',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeamTitle2',
                array('label'=> __('Team Section Title2', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeamTitle2'
                )));

        // Team 1
        $wp_customize->add_setting('AboutPageTeam1Required',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageTeam1Required',
                array('label'=> __('Team1 Required', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam1Required'
                )));

        $wp_customize->add_setting('AboutPageTeam1Image',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));

        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'AboutPageTeam1Image',
                array('label'=> __('Team1 image'),
                'description'=> esc_html__(''),
                'section'=> 'AboutPageTeamSection',
                'flex_width'=> false, // Optional. Default: false
                'flex_height'=> true, // Optional. Default: false
                'width'=> 300, // Optional. Default: 150
                'height'=> 300, // Optional. Default: 150
                'button_labels'=> array( // Optional.
                    'select'=> __('Select Image'),
                    'change'=> __('Change Image'),
                    'remove'=> __('Remove'),
                    'default'=> __('Default'),
                    'placeholder'=> __('No image selected'),
                    'frame_title'=> __('Select Image'),
                    'frame_button'=> __('Choose Image'),
                ))));

        $wp_customize->add_setting('AboutPageTeam1Title', array('default'=> 'Lyn Victor',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam1Title',
                array('label'=> __('Team1 Name', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam1Title'
                )));

        $wp_customize->add_setting('AboutPageTeam1TitleUrl', array('default'=> '#url',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam1TitleUrl',
                array('label'=> __('Team1 Name Url', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam1TitleUrl'
                )));

        $wp_customize->add_setting('AboutPageTeam1SocialFacebook',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageTeam1SocialFacebook',
                array('label'=> __('Team1 Facebook Required', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam1SocialFacebook'
                )));

        $wp_customize->add_setting('AboutPageTeam1SocialFacebookURL', array('default'=> 'https://www.facebook.com/w3layouts/',
                'transport'=> 'refresh', ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam1SocialFacebookURL',
                array('label'=> __('Team1 FaceBook URL', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam1SocialFacebookURL'
                )));

        $wp_customize->add_setting('AboutPageTeam1SocialTwitter',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageTeam1SocialTwitter',
                array('label'=> __('Team1 Twitter Required', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam1SocialTwitter'
                )));

        $wp_customize->add_setting('AboutPageTeam1SocialTwitterURL', array('default'=> 'https://twitter.com/W3layouts',
                'transport'=> 'refresh', ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam1SocialTwitterURL',
                array('label'=> __('Team1 Twitter URL', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam1SocialTwitterURL'
                )));

        $wp_customize->add_setting('AboutPageTeam1SocialInstagram',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageTeam1SocialInstagram',
                array('label'=> __('Team1 Instagram Required', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam1SocialInstagram'
                )));

        $wp_customize->add_setting('AboutPageTeam1SocialInstagramURL', array('default'=> 'https://instagram.com/W3layouts',
                'transport'=> 'refresh', ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam1SocialInstagramURL',
                array('label'=> __('Team1 Instagram URL', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam1SocialInstagramURL'
                )));
        // Team 1


        // Team 2
        $wp_customize->add_setting('AboutPageTeam2Required',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageTeam2Required',
                array('label'=> __('Team2 Required', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam2Required'
                )));

        $wp_customize->add_setting('AboutPageTeam2Image',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'AboutPageTeam2Image',
                array('label'=> __('Team2 image'),
                    'description'=> esc_html__(''),
                    'section'=> 'AboutPageTeamSection',
                    'flex_width'=> false, // Optional. Default: false
                    'flex_height'=> true, // Optional. Default: false
                    'width'=> 300, // Optional. Default: 150
                    'height'=> 300, // Optional. Default: 150
                    'button_labels'=> array( // Optional.
                        'select'=> __('Select Image'),
                        'change'=> __('Change Image'),
                        'remove'=> __('Remove'),
                        'default'=> __('Default'),
                        'placeholder'=> __('No image selected'),
                        'frame_title'=> __('Select Image'),
                        'frame_button'=> __('Choose Image'),
                    ))));

        $wp_customize->add_setting('AboutPageTeam2Title', array('default'=> 'Meyer Lson',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam2Title',
                array('label'=> __('Team2 Name', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam2Title'
                )));

        $wp_customize->add_setting('AboutPageTeam2TitleUrl', array('default'=> '#url',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam2TitleUrl',
                array('label'=> __('Team2 Name Url', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam2TitleUrl'
                )));

        $wp_customize->add_setting('AboutPageTeam2SocialFacebook',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageTeam2SocialFacebook',
                array('label'=> __('Team2 Facebook Required', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam2SocialFacebook'
                )));

        $wp_customize->add_setting('AboutPageTeam2SocialFacebookURL', array('default'=> 'https://www.facebook.com/w3layouts/',
                'transport'=> 'refresh', ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam2SocialFacebookURL',
                array('label'=> __('Team2 FaceBook URL', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam2SocialFacebookURL'
                )));

        $wp_customize->add_setting('AboutPageTeam2SocialTwitter',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageTeam2SocialTwitter',
                array('label'=> __('Team2 Twitter Required', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam2SocialTwitter'
                )));

        $wp_customize->add_setting('AboutPageTeam2SocialTwitterURL', array('default'=> 'https://twitter.com/W3layouts',
                'transport'=> 'refresh', ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam2SocialTwitterURL',
                array('label'=> __('Team2 Twitter URL', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam2SocialTwitterURL'
                )));
        
        $wp_customize->add_setting('AboutPageTeam2SocialInstagram',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageTeam2SocialInstagram',
                array('label'=> __('Team2 Instagram Required', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam2SocialInstagram'
                )));

        $wp_customize->add_setting('AboutPageTeam2SocialInstagramURL', array('default'=> 'https://linkedin.com/W3layouts',
                'transport'=> 'refresh', ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam2SocialInstagramURL',
                array('label'=> __('Team2 Instagram URL', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam2SocialInstagramURL'
                )));
        // Team 2


        // Team 3
        $wp_customize->add_setting('AboutPageTeam3Required',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageTeam3Required',
                array('label'=> __('Team3 Required', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam3Required'
                )));

        $wp_customize->add_setting('AboutPageTeam3Image',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'AboutPageTeam3Image',
                array('label'=> __('Team3 image'),
                    'description'=> esc_html__(''),
                    'section'=> 'AboutPageTeamSection',
                    'flex_width'=> false, // Optional. Default: false
                    'flex_height'=> true, // Optional. Default: false
                    'width'=> 300, // Optional. Default: 150
                    'height'=> 300, // Optional. Default: 150
                    'button_labels'=> array( // Optional.
                        'select'=> __('Select Image'),
                        'change'=> __('Change Image'),
                        'remove'=> __('Remove'),
                        'default'=> __('Default'),
                        'placeholder'=> __('No image selected'),
                        'frame_title'=> __('Select Image'),
                        'frame_button'=> __('Choose Image'),
                    ))));

        $wp_customize->add_setting('AboutPageTeam3Title', array('default'=> 'Lyn Meyer',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam3Title',
                array('label'=> __('Team3 Name', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam3Title'
                )));

        $wp_customize->add_setting('AboutPageTeam3TitleUrl', array('default'=> '#url',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam3TitleUrl',
                array('label'=> __('Team3 Name Url', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam3TitleUrl'
                )));

        $wp_customize->add_setting('AboutPageTeam3SocialFacebook',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageTeam3SocialFacebook',
                array('label'=> __('Team 3 Facebook Required', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam3SocialFacebook'
                )));

        $wp_customize->add_setting('AboutPageTeam3SocialFacebookURL', array('default'=> 'https://www.facebook.com/w3layouts/',
                'transport'=> 'refresh', ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam3SocialFacebookURL',
                array('label'=> __('Team3 FaceBook URL', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam3SocialFacebookURL'
                )));

        $wp_customize->add_setting('AboutPageTeam3SocialTwitter',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageTeam3SocialTwitter',
                array('label'=> __('Team3 Twitter Required', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam3SocialTwitter'
                )));

        $wp_customize->add_setting('AboutPageTeam3SocialTwitterURL', array('default'=> 'https://twitter.com/W3layouts',
            'transport'=> 'refresh', ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'AboutPageTeam3SocialTwitterURL',
            array('label'=> __('Team3 Twitter URL', 'w3layouts'),
                'section'=> 'AboutPageTeamSection',
                'settings'=> 'AboutPageTeam3SocialTwitterURL'
            )));
    
        $wp_customize->add_setting('AboutPageTeam3SocialInstagram', array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 
                'AboutPageTeam3SocialInstagram',
                array('label'=> __('Team3 Instagram Required', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam3SocialInstagram'
                )));

        $wp_customize->add_setting('AboutPageTeam3SocialInstagramURL', array('default'=> 'https://instagram.com/W3layouts',
                'transport'=> 'refresh', ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam3SocialInstagramURL',
                array('label'=> __('Team3 Instagram URL', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam3SocialInstagramURL'
                )));

        // Team3


        // Team4
        $wp_customize->add_setting('AboutPageTeam4Required',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageTeam4Required',
                array('label'=> __('Team4 Required', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam4Required'
                )));

        $wp_customize->add_setting('AboutPageTeam4Image',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'AboutPageTeam4Image',
                array('label'=> __('Team4 image'),
                    'description'=> esc_html__(''),
                    'section'=> 'AboutPageTeamSection',
                    'flex_width'=> false, // Optional. Default: false
                    'flex_height'=> true, // Optional. Default: false
                    'width'=> 300, // Optional. Default: 150
                    'height'=> 300, // Optional. Default: 150
                    'button_labels'=> array( // Optional.
                        'select'=> __('Select Image'),
                        'change'=> __('Change Image'),
                        'remove'=> __('Remove'),
                        'default'=> __('Default'),
                        'placeholder'=> __('No image selected'),
                        'frame_title'=> __('Select Image'),
                        'frame_button'=> __('Choose Image'),
                    ))));

        $wp_customize->add_setting('AboutPageTeam4Title', array('default'=> 'Sam Mills',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam4Title',
                array('label'=> __('Team4 Name', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam4Title'
                )));

        $wp_customize->add_setting('AboutPageTeam4TitleUrl', array('default'=> '#url',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam4TitleUrl',
                array('label'=> __('Team4 Name Url', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam4TitleUrl'
                )));

        $wp_customize->add_setting('AboutPageTeam4SocialFacebook',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageTeam4SocialFacebook',
                array('label'=> __('Team4 Facebook Required', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam4SocialFacebook'
                )));

        $wp_customize->add_setting('AboutPageTeam4SocialFacebookURL', array('default'=> 'https://www.facebook.com/w3layouts/',
                'transport'=> 'refresh', ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam4SocialFacebookURL',
                array('label'=> __('Team4 FaceBook URL', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam4SocialFacebookURL'
                )));

        $wp_customize->add_setting('AboutPageTeam4SocialTwitter',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageTeam4SocialTwitter',
                array('label'=> __('Team4 Twitter Required', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam4SocialTwitter'
                )));

        $wp_customize->add_setting('AboutPageTeam4SocialTwitterURL', array('default'=> 'https://twitter.com/W3layouts',
                'transport'=> 'refresh', ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam4SocialTwitterURL',
                array('label'=> __('Team4 Twitter URL', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam4SocialTwitterURL'
                )));

        $wp_customize->add_setting('AboutPageTeam4SocialInstagram',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageTeam4SocialInstagram',
                array('label'=> __('Team4 Instagram Required', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam4SocialInstagram'
                )));

        $wp_customize->add_setting('AboutPageTeam4SocialInstagramURL', array('default'=> 'https://linkedin.com/W3layouts',
                'transport'=> 'refresh', ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeam4SocialInstagramURL',
                array('label'=> __('Team4 Instagram URL', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'settings'=> 'AboutPageTeam4SocialInstagramURL'
                )));
        // Team4

        // AboutPage Team top & bottom  area textarea

        $wp_customize->add_setting('AboutPageTeamTopArea', array('default'=> '',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeamTopArea',
                array('label'=> __('Team Top', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));

        $wp_customize->add_setting('AboutPageTeamBottomArea', array('default'=> '',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTeamBottomArea',
                array('label'=> __('Team Bottom', 'w3layouts'),
                    'section'=> 'AboutPageTeamSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));
        // AboutPage Team top & bottom  area textarea

        /** AboutPage Team ends **/







		/** AboutPage Testimonials starts **/

		$wp_customize->add_setting('AboutPageTestimonialsRequired',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageTestimonialsRequired',
                array('label'=> __('AboutPage Testimonials Required', 'w3layouts'),
                    'section'=> 'AboutPageTestimonialsSection',
                    'settings'=> 'AboutPageTestimonialsRequired',
                    'priority'=> 1)));
        $wp_customize->selective_refresh->add_partial('AboutPageTestimonialsRequired', array('selector'=> 'div.AboutPageTestimonials', // You can also select a css class
            ));

        $wp_customize->add_setting('AboutPageTestimonialsTitle1', array('default'=> "Testimonials",
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTestimonialsTitle1',
                array('label'=> __('AboutPage Testimonials Title1', 'w3layouts'),
                    'section'=> 'AboutPageTestimonialsSection',
                    'settings'=> 'AboutPageTestimonialsTitle1',
                )));

        $wp_customize->add_setting('AboutPageTestimonialsTitle2', array('default'=> "Happy With Customers & <span>Clients",
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTestimonialsTitle2',
                array('label'=> __('AboutPage Testimonials Title2', 'w3layouts'),
                    'section'=> 'AboutPageTestimonialsSection',
                    'settings'=> 'AboutPageTestimonialsTitle2',
                )));

                        
        // client 1

        $wp_customize->add_setting('AboutPageTestimonial1Required',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageTestimonial1Required',
                array('label'=> __('Testimonial 1 Required', 'w3layouts'),
                    'section'=> 'AboutPageTestimonialsSection',
                    'settings'=> 'AboutPageTestimonial1Required'
                )));

        $wp_customize->add_setting('AboutPageTestimonialsClient1Title', array('default'=> 'Pellen tesque libero ut justo',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTestimonialsClient1Title',
                array('label'=> __('Client 1 Title', 'w3layouts'),
                    'section'=> 'AboutPageTestimonialsSection',
                    'settings'=> 'AboutPageTestimonialsClient1Title'
                )));

        $wp_customize->add_setting('AboutPageTestimonialsMessage1', array('default'=> 'Lorem ipsum dolor sit amet elit. hic odio tenetur. ante ipsum primis in faucibus orci luctus et ultrices posuere,tesque libero ut justo Semper.',
    'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTestimonialsMessage1',
                array('label'=> __('Client 1 Message', 'w3layouts'),
                    'section'=> 'AboutPageTestimonialsSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));

        $wp_customize->add_setting('AboutPageTestimonialsClient1Image',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'AboutPageTestimonialsClient1Image',
                array('label'=> __('Client 1 Image'),
                    'description'=> esc_html__(''),
                    'section'=> 'AboutPageTestimonialsSection',
                    'flex_width'=> false, // Optional. Default: false
                    'flex_height'=> true, // Optional. Default: false
                    'width'=> 70, // Optional. Default: 150
                    'height'=> 70, // Optional. Default: 150
                    'button_labels'=> array( // Optional.
                    'select'=> __('Select Image'),
                    'change'=> __('Change Image'),
                    'remove'=> __('Remove'),
                    'default'=> __('Default'),
                    'placeholder'=> __('No image selected'),
                    'frame_title'=> __('Select Image'),
                    'frame_button'=> __('Choose Image'),
                    ))));

        $wp_customize->add_setting('AboutPageTestimonialsClient1Name', array('default'=> 'Johnson william',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTestimonialsClient1Name',
                array('label'=> __('Client 1 Name', 'w3layouts'),
                    'section'=> 'AboutPageTestimonialsSection',
                    'settings'=> 'AboutPageTestimonialsClient1Name'
                )));

        $wp_customize->add_setting('AboutPageTestimonialsClient1Designation', array('default'=> 'Subtitle',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTestimonialsClient1Designation',
                array('label'=> __('Client 1 Designation', 'w3layouts'),
                    'section'=> 'AboutPageTestimonialsSection',
                    'settings'=> 'AboutPageTestimonialsClient1Designation'
                )));
        // client 1

        // client 2

        $wp_customize->add_setting('AboutPageTestimonial2Required',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageTestimonial2Required',
                array('label'=> __('Testimonial 2 Required', 'w3layouts'),
                    'section'=> 'AboutPageTestimonialsSection',
                    'settings'=> 'AboutPageTestimonial2Required'
                )));

        $wp_customize->add_setting('AboutPageTestimonialsClient2Title', array('default'=> 'Lorem ipsum dolor sit amet',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTestimonialsClient2Title',
                array('label'=> __('Client 2 Title', 'w3layouts'),
                    'section'=> 'AboutPageTestimonialsSection',
                    'settings'=> 'AboutPageTestimonialsClient2Title'
                )));
        $wp_customize->add_setting('AboutPageTestimonialsMessage2', array('default'=> 'Lorem ipsum dolor sit amet elit. hic odio tenetur. ante ipsum primis in faucibus orci luctus et ultrices posuere,tesque libero ut justo Semper.',
    'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTestimonialsMessage2',
                array('label'=> __('Client 2 Message', 'w3layouts'),
                    'section'=> 'AboutPageTestimonialsSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));
        $wp_customize->add_setting('AboutPageTestimonialsClient2Image',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'AboutPageTestimonialsClient2Image',
                array('label'=> __('Client 2 Image'),
                    'description'=> esc_html__(''),
                    'section'=> 'AboutPageTestimonialsSection',
                    'flex_width'=> false, // Optional. Default: false
                    'flex_height'=> true, // Optional. Default: false
                    'width'=> 400, // Optional. Default: 150
                    'height'=> 500, // Optional. Default: 150
                    'button_labels'=> array( // Optional.
                    'select'=> __('Select Image'),
                    'change'=> __('Change Image'),
                    'remove'=> __('Remove'),
                    'default'=> __('Default'),
                    'placeholder'=> __('No image selected'),
                    'frame_title'=> __('Select Image'),
                    'frame_button'=> __('Choose Image'),
                ))));
        $wp_customize->add_setting('AboutPageTestimonialsClient2Name', array('default'=> 'Alexander sakura',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTestimonialsClient2Name',
                array('label'=> __('Client 2 Name', 'w3layouts'),
                    'section'=> 'AboutPageTestimonialsSection',
                    'settings'=> 'AboutPageTestimonialsClient2Name'
                )));

        $wp_customize->add_setting('AboutPageTestimonialsClient2Designation', array('default'=> 'Subtitle',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTestimonialsClient2Designation',
                array('label'=> __('Client 2 Designation', 'w3layouts'),
                    'section'=> 'AboutPageTestimonialsSection',
                    'settings'=> 'AboutPageTestimonialsClient2Designation'
                )));
        // client 2

        // client 3

        $wp_customize->add_setting('AboutPageTestimonial3Required',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageTestimonial3Required',
                array('label'=> __('Testimonial 3 Required', 'w3layouts'),
                    'section'=> 'AboutPageTestimonialsSection',
                    'settings'=> 'AboutPageTestimonial3Required'
                )));

        $wp_customize->add_setting('AboutPageTestimonialsClient3Title', array('default'=> 'Pellen tesque libero ut justo',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTestimonialsClient3Title',
                array('label'=> __('Client 3 Title', 'w3layouts'),
                    'section'=> 'AboutPageTestimonialsSection',
                    'settings'=> 'AboutPageTestimonialsClient3Title'
                )));

        $wp_customize->add_setting('AboutPageTestimonialsMessage3', array('default'=> 'Lorem ipsum dolor sit amet elit. hic odio tenetur. ante ipsum primis in faucibus orci luctus et ultrices posuere,tesque libero ut justo Semper.',
    'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTestimonialsMessage3',
                array('label'=> __('Client 3 Message', 'w3layouts'),
                    'section'=> 'AboutPageTestimonialsSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));

        $wp_customize->add_setting('AboutPageTestimonialsClient3Image',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'AboutPageTestimonialsClient3Image',
            array('label'=> __('Client 3 Image'),
                'description'=> esc_html__(''),
                'section'=> 'AboutPageTestimonialsSection',
                'flex_width'=> false, // Optional. Default: false
                'flex_height'=> true, // Optional. Default: false
                'width'=> 400, // Optional. Default: 150
                'height'=> 500, // Optional. Default: 150
                'button_labels'=> array( // Optional.
                'select'=> __('Select Image'),
                'change'=> __('Change Image'),
                'remove'=> __('Remove'),
                'default'=> __('Default'),
                'placeholder'=> __('No image selected'),
                'frame_title'=> __('Select Image'),
                'frame_button'=> __('Choose Image'),
            ))));
        $wp_customize->add_setting('AboutPageTestimonialsClient3Name', array('default'=> 'John wilson',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTestimonialsClient3Name',
                array('label'=> __('Client 3 Name', 'w3layouts'),
                    'section'=> 'AboutPageTestimonialsSection',
                    'settings'=> 'AboutPageTestimonialsClient3Name'
                )));

        $wp_customize->add_setting('AboutPageTestimonialsClient3Designation', array('default'=> 'Subtitle',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTestimonialsClient3Designation',
                array('label'=> __('Client 3 Designation', 'w3layouts'),
                    'section'=> 'AboutPageTestimonialsSection',
                    'settings'=> 'AboutPageTestimonialsClient3Designation'
                )));
        // client 3

        // client 4

        $wp_customize->add_setting('AboutPageTestimonial4Required',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageTestimonial4Required',
                array('label'=> __('Testimonial 4 Required', 'w3layouts'),
                    'section'=> 'AboutPageTestimonialsSection',
                    'settings'=> 'AboutPageTestimonial4Required'
                )));
        
        $wp_customize->add_setting('AboutPageTestimonialsClient4Title', array('default'=> 'Lorem ipsum dolor sit amet',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTestimonialsClient4Title',
                array('label'=> __('Client 4 Title', 'w3layouts'),
                    'section'=> 'AboutPageTestimonialsSection',
                    'settings'=> 'AboutPageTestimonialsClient4Title'
                )));
        $wp_customize->add_setting('AboutPageTestimonialsMessage4', array('default'=> 'Lorem ipsum dolor sit amet elit. hic odio tenetur. ante ipsum primis in faucibus orci luctus et ultrices posuere,tesque libero ut justo Semper.',
    'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTestimonialsMessage4',
                array('label'=> __('Client 4 Message', 'w3layouts'),
                    'section'=> 'AboutPageTestimonialsSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));

        $wp_customize->add_setting('AboutPageTestimonialsClient4Image',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'AboutPageTestimonialsClient4Image',
                array('label'=> __('Client 4 Image'),
                    'description'=> esc_html__(''),
                    'section'=> 'AboutPageTestimonialsSection',
                    'flex_width'=> false, // Optional. Default: false
                    'flex_height'=> true, // Optional. Default: false
                    'width'=> 400, // Optional. Default: 150
                    'height'=> 500, // Optional. Default: 150
                    'button_labels'=> array( // Optional.
                    'select'=> __('Select Image'),
                    'change'=> __('Change Image'),
                    'remove'=> __('Remove'),
                    'default'=> __('Default'),
                    'placeholder'=> __('No image selected'),
                    'frame_title'=> __('Select Image'),
                    'frame_button'=> __('Choose Image'),
                ))));
        $wp_customize->add_setting('AboutPageTestimonialsClient4Name', array('default'=> 'Julia sakura',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTestimonialsClient4Name',
                array('label'=> __('Client 4 Name', 'w3layouts'),
                    'section'=> 'AboutPageTestimonialsSection',
                    'settings'=> 'AboutPageTestimonialsClient4Name'
                )));

        $wp_customize->add_setting('AboutPageTestimonialsClient4Designation', array('default'=> 'Subtitle',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTestimonialsClient4Designation',
                array('label'=> __('Client 4 Designation', 'w3layouts'),
                    'section'=> 'AboutPageTestimonialsSection',
                    'settings'=> 'AboutPageTestimonialsClient4Designation'
                )));
        // client 4

        // client 5
        $wp_customize->add_setting('AboutPageTestimonial5Required',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageTestimonial5Required',
                array('label'=> __('Testimonial 5 Required', 'w3layouts'),
                    'section'=> 'AboutPageTestimonialsSection',
                    'settings'=> 'AboutPageTestimonial5Required'
                )));
        
        $wp_customize->add_setting('AboutPageTestimonialsClient5Title', array('default'=> 'Pellen tesque libero ut justo',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTestimonialsClient5Title',
                array('label'=> __('Client 5 Title', 'w3layouts'),
                    'section'=> 'AboutPageTestimonialsSection',
                    'settings'=> 'AboutPageTestimonialsClient5Title'
                )));
        $wp_customize->add_setting('AboutPageTestimonialsMessage5', array('default'=> 'Lorem ipsum dolor sit amet elit. hic odio tenetur. ante ipsum primis in faucibus orci luctus et ultrices posuere,tesque libero ut justo Semper.',
    'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTestimonialsMessage5',
                array('label'=> __('Client 5 Message', 'w3layouts'),
                    'section'=> 'AboutPageTestimonialsSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));

        $wp_customize->add_setting('AboutPageTestimonialsClient5Image',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'AboutPageTestimonialsClient5Image',
                array('label'=> __('Client 5 Image'),
                    'description'=> esc_html__(''),
                    'section'=> 'AboutPageTestimonialsSection',
                    'flex_width'=> false, // Optional. Default: false
                    'flex_height'=> true, // Optional. Default: false
                    'width'=> 400, // Optional. Default: 150
                    'height'=> 500, // Optional. Default: 150
                    'button_labels'=> array( // Optional.
                    'select'=> __('Select Image'),
                    'change'=> __('Change Image'),
                    'remove'=> __('Remove'),
                    'default'=> __('Default'),
                    'placeholder'=> __('No image selected'),
                    'frame_title'=> __('Select Image'),
                    'frame_button'=> __('Choose Image'),
                ))));
        $wp_customize->add_setting('AboutPageTestimonialsClient5Name', array('default'=> 'John wilson',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTestimonialsClient5Name',
                array('label'=> __('Client 5 Name', 'w3layouts'),
                    'section'=> 'AboutPageTestimonialsSection',
                    'settings'=> 'AboutPageTestimonialsClient5Name'
                )));

        $wp_customize->add_setting('AboutPageTestimonialsClient5Designation', array('default'=> 'Subtitle',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTestimonialsClient5Designation',
                array('label'=> __('Client 5 Designation', 'w3layouts'),
                    'section'=> 'AboutPageTestimonialsSection',
                    'settings'=> 'AboutPageTestimonialsClient5Designation'
                )));
        // client 5

        // client 6
        $wp_customize->add_setting('AboutPageTestimonial6Required',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'AboutPageTestimonial6Required',
                array('label'=> __('Testimonial 6 Required', 'w3layouts'),
                    'section'=> 'AboutPageTestimonialsSection',
                    'settings'=> 'AboutPageTestimonial6Required'
                )));
        
        $wp_customize->add_setting('AboutPageTestimonialsClient6Title', array('default'=> 'Lorem ipsum dolor sit amet',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTestimonialsClient6Title',
                array('label'=> __('Client 6 Title', 'w3layouts'),
                    'section'=> 'AboutPageTestimonialsSection',
                    'settings'=> 'AboutPageTestimonialsClient6Title'
                )));
        $wp_customize->add_setting('AboutPageTestimonialsMessage6', array('default'=> 'Lorem ipsum dolor sit amet elit. hic odio tenetur. ante ipsum primis in faucibus orci luctus et ultrices posuere,tesque libero ut justo Semper.',
    'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTestimonialsMessage6',
                array('label'=> __('Client 6 Message', 'w3layouts'),
                    'section'=> 'AboutPageTestimonialsSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));

        $wp_customize->add_setting('AboutPageTestimonialsClient6Image',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'AboutPageTestimonialsClient6Image',
                array('label'=> __('Client 6 Image'),
                    'description'=> esc_html__(''),
                    'section'=> 'AboutPageTestimonialsSection',
                    'flex_width'=> false, // Optional. Default: false
                    'flex_height'=> true, // Optional. Default: false
                    'width'=> 400, // Optional. Default: 150
                    'height'=> 500, // Optional. Default: 150
                    'button_labels'=> array( // Optional.
                    'select'=> __('Select Image'),
                    'change'=> __('Change Image'),
                    'remove'=> __('Remove'),
                    'default'=> __('Default'),
                    'placeholder'=> __('No image selected'),
                    'frame_title'=> __('Select Image'),
                    'frame_button'=> __('Choose Image'),
                ))));
        $wp_customize->add_setting('AboutPageTestimonialsClient6Name', array('default'=> 'Julia sakura',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTestimonialsClient6Name',
                array('label'=> __('Client 6 Name', 'w3layouts'),
                    'section'=> 'AboutPageTestimonialsSection',
                    'settings'=> 'AboutPageTestimonialsClient6Name'
                )));

        $wp_customize->add_setting('AboutPageTestimonialsClient6Designation', array('default'=> 'Subtitle',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTestimonialsClient6Designation',
                array('label'=> __('Client 6 Designation', 'w3layouts'),
                    'section'=> 'AboutPageTestimonialsSection',
                    'settings'=> 'AboutPageTestimonialsClient6Designation'
                )));
        // client 6

        // AboutPage Testimonials top & bottom  area textarea

        $wp_customize->add_setting('AboutPageTestimonialsTopArea', array('default'=> '',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTestimonialsTopArea',
                array('label'=> __('AboutPage Testimonials Top', 'w3layouts'),
                    'section'=> 'AboutPageTestimonialsSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));

        $wp_customize->add_setting('AboutPageTestimonialsBottomArea', array('default'=> '',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'AboutPageTestimonialsBottomArea',
                array('label'=> __('AboutPage Testimonials Bottom', 'w3layouts'),
                    'section'=> 'AboutPageTestimonialsSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));
        // AboutPage Testimonials top & bottom  area textarea

        /** AboutPage Testimonials ends **/






    }

}