<?php
/**
 * w3layouts Theme Single Landing Page Customizer
 *
 * @package w3layouts
 */

$w3layouts_Landing_settings=new w3layouts_Landing_customizer_settings();

class w3layouts_Landing_customizer_settings {
    // Get our default values
    // private $defaults;

    public function __construct() {
        // add_action( 'customize_register', array( $this, 'w3layouts_Landing_cust_register' ) );
        add_action('customize_register', array($this, 'w3layouts_Landingpage_panels'));

    }

    public function w3layouts_Landingpage_panels($wp_customize) {
        /**
 		 * Add our Header & Navigation Panel
 		 */
        $wp_customize->add_panel('LandingPage_panel',
            array('title'=> __('Single Landing Page Customize', 'w3layouts'),
                'priority'=> 30,
                'description'=> esc_html__('add and update Landingpage data.', 'w3layouts')));

        $wp_customize->add_section('LandingPageBannerSection',
			array('title'=> __('LandingPage Section 1 Banner', 'w3layouts'),
				'description'=> esc_html__('', 'w3layouts'),
				'panel'=> 'LandingPage_panel'
			));

            $wp_customize->add_section('LandingPageGridsSection',
			array('title'=> __('LandingPage Section 2 Grids', 'w3layouts'),
				'description'=> esc_html__('', 'w3layouts'),
				'panel'=> 'LandingPage_panel'
			));

		$wp_customize->add_section('LandingPageAboutSection',
			array('title'=> __('LandingPage Section 3 About Section', 'w3layouts'),
				'description'=> esc_html__('', 'w3layouts'),
				'panel'=> 'LandingPage_panel'
			));

		$wp_customize->add_section('LandingPageServicesSection',
			array('title'=> __('LandingPage Section 4 Services', 'w3layouts'),
				'description'=> esc_html__('', 'w3layouts'),
				'panel'=> 'LandingPage_panel'
			));

		$wp_customize->add_section('LandingPageCWPStatsSection',
			array('title'=> __('LandingPage Section 5 CWP Stats', 'w3layouts'),
				'description'=> esc_html__('', 'w3layouts'),
				'panel'=> 'LandingPage_panel'
			));

		$wp_customize->add_section('LandingPageCoverSection',
			array('title'=> __('LandingPage Section 6 Cover', 'w3layouts'),
				'description'=> esc_html__('', 'w3layouts'),
				'panel'=> 'LandingPage_panel'
			));

		$wp_customize->add_section('LandingPageCoverGridsSection',
			array('title'=> __('LandingPage Section 7 Cover Grids', 'w3layouts'),
				'description'=> esc_html__('', 'w3layouts'),
				'panel'=> 'LandingPage_panel'
			));

		$wp_customize->add_section('LandingPageTestimonialsSection',
            array('title'=> __('LandingPage Section 8 Testimonials', 'w3layouts'),
                'description'=> esc_html__('', 'w3layouts'),
				'panel'=> 'LandingPage_panel'
            ));

		$wp_customize->add_section('LandingPageBlogPostsSection',
			array('title'=> __('LandingPage Section 9 BlogPosts', 'w3layouts'),
				'description'=> esc_html__('', 'w3layouts'),
				'panel'=> 'LandingPage_panel'
			));

        $wp_customize->add_section('LandingPageTeamSection',
            array('title'=> __('LandingPage Section 10 Team', 'w3layouts'),
                'description'=> esc_html__('', 'w3layouts'),
                'panel'=> 'LandingPage_panel'
            ));

        $wp_customize->add_section('LandingPageContactSection',
            array('title'=> __('LandingPage Contact Section', 'w3layouts'),
              'description'=> esc_html__('', 'w3layouts'),
              'panel'=> 'LandingPage_panel'
            ));
      
        $wp_customize->add_section('LandingPageContactForm',
            array('title'=> __('LandingPage Contact Form', 'w3layouts'),
              'description'=> esc_html__('', 'w3layouts'),
              'panel'=> 'LandingPage_panel'
            ));
      
        $wp_customize->add_section('LandingPageMap',
            array('title'=> __('LandingPage Contact Map', 'w3layouts'),
              'description'=> esc_html__('', 'w3layouts'),
              'panel'=> 'LandingPage_panel'
            ));

        

		/** LandingPage Banner section starts **/

		$wp_customize->add_setting('LandingPageBannerRequired',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageBannerRequired',
                array('label'=> __('LandingPage Banner Required', 'w3layouts'),
                    'section'=> 'LandingPageBannerSection',
                    'settings'=> 'LandingPageBannerRequired',
                    'priority'=> 1)));

        $wp_customize->selective_refresh->add_partial('LandingPageBannerRequired', array('selector'=> 'div.LandingPageBanner', // You can also select a css class
            ));

        /** Banner info */

        $wp_customize->add_setting('LandingPageBannerTitle', array('default'=> "We build your Best",
            'transport'=> 'refresh',
        ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageBannerTitle',
            array('label'=> __('LP Banner Title', 'w3layouts'),
                'section'=> 'LandingPageBannerSection',
                'settings'=> 'LandingPageBannerTitle',
            )));

        $wp_customize->add_setting('LandingPageBannerTypingTitle', array('default'=> "Future!",
            'transport'=> 'refresh',
        ));

        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageBannerTypingTitle',
            array('label'=> __('LP Banner Typing Title', 'w3layouts'),
                'section'=> 'LandingPageBannerSection',
                'settings'=> 'LandingPageBannerTypingTitle',
            )));
            
        $wp_customize->add_setting('LandingPageBannerContent', array('default'=> 'Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui seequi.',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageBannerContent',
            array('label'=> __('LP Banner Content', 'w3layouts'),
                'section'=> 'LandingPageBannerSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                    'style'=> 'border: 1px solid #999',
                    'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));
        $wp_customize->add_setting('LandingPageeBannerBtnURL', array('default'=> '#url',
            'transport'=> 'refresh',
        ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageeBannerBtnURL',
            array('label'=> __('LP Banner Button URL', 'w3layouts'),
                'section'=> 'LandingPageBannerSection',
                'settings'=> 'LandingPageeBannerBtnURL'
            )));

        $wp_customize->add_setting('LandingPageeBannerBtnText', array('default'=> 'View our Works',
            'transport'=> 'refresh',
        ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageeBannerBtnText',
            array('label'=> __('LP Banner Button Text', 'w3layouts'),
                'section'=> 'LandingPageBannerSection',
                'settings'=> 'LandingPageeBannerBtnText'
            )));

        $wp_customize->add_setting('LandingPageBannerImage',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'LandingPageBannerImage',
                array('label'=> __('LP Banner Right Image'),
                'description'=> esc_html__(''),
                'section'=> 'LandingPageBannerSection',
                'flex_width'=> false, // Optional. Default: false
                'flex_height'=> true, // Optional. Default: false
                'width'=> 500, // Optional. Default: 150
                'height'=> 500, // Optional. Default: 150
                'button_labels'=> array( // Optional.
                    'select'=> __('Select Image'),
                    'change'=> __('Change Image'),
                    'remove'=> __('Remove'),
                    'default'=> __('Default'),
                    'placeholder'=> __('No image selected'),
                    'frame_title'=> __('Select Image'),
                    'frame_button'=> __('Choose Image'),
                ))));


        // Banner top & bottom  area textarea

        // $wp_customize->add_setting('LandingPageBannerTopArea', array('default'=> '',
        // 		'transport'=> 'refresh',
        // 	));
        // $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        // 		'LandingPageBannerTopArea',
        // 		array('label'=> __('LP Banner Top', 'w3layouts'),
        // 			'section'=> 'LandingPageBannerSection',
        // 			'type'=> 'textarea',
        // 			'input_attrs'=> array('class'=> 'my-custom-class',
        // 				'style'=> 'border: 1px solid #999',
        // 				'placeholder'=> __('Enter message...', 'w3layouts'),
        // 			),
        // 		)));

        $wp_customize->add_setting('LandingPageBannerBottomArea', array('default'=> '',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'LandingPageBannerBottomArea',
                array('label'=> __('LP Banner Bottom', 'w3layouts'),
                    'section'=> 'LandingPageBannerSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));
        // Banner top & bottom  area textarea

        /** LandingPage Banner section ends **/




		/** LandingPage Grids Section starts **/

		$wp_customize->add_setting('LandingPageGridsRequired',
        array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
        ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageGridsRequired',
            array('label'=> __('LandingPage Grids Required', 'w3layouts'),
                'section'=> 'LandingPageGridsSection',
                'settings'=> 'LandingPageGridsRequired',
                'priority'=> 1)));
    $wp_customize->selective_refresh->add_partial('LandingPageGridsRequired', array('selector'=> 'div.LandingPageGrids',
        ));

    // Grid1
    $wp_customize->add_setting('LandingPageGrid1Required',
        array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
        ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageGrid1Required',
            array('label'=> __('LandingPage Grid1 Required', 'w3layouts'),
                'section'=> 'LandingPageGridsSection',
                'settings'=> 'LandingPageGrid1Required'
            )));

    $wp_customize->add_setting('LandingPageGrid1Icon', array('default'=> "fas fa-tools",
        'transport'=> 'refresh',
    ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LandingPageGrid1Icon',
        array('label'=> __('LandingPage Grid1 Icon', 'w3layouts'),
            'section'=> 'LandingPageGridsSection',
            'settings'=> 'LandingPageGrid1Icon',
        )));

    $wp_customize->add_setting('LandingPageGrid1Title', array('default'=> "Who we are",
        'transport'=> 'refresh',
    ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LandingPageGrid1Title',
        array('label'=> __('LandingPage Grid1 Title', 'w3layouts'),
            'section'=> 'LandingPageGridsSection',
            'settings'=> 'LandingPageGrid1Title',
        )));

    $wp_customize->add_setting('LandingPageGrid1Content', array('default'=> 'Sed ut perspiciatis unde omnis iste natus error sit accusa ntium dolor emque laudan.',
        'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageGrid1Content',
            array('label'=> __('LandingPage Grid1 Content', 'w3layouts'),
            'section'=> 'LandingPageGridsSection',
            'type'=> 'textarea',
            'input_attrs'=> array('class'=> 'my-custom-class',
            'style'=> 'border: 1px solid #999',
            'placeholder'=> __('Enter message...', 'w3layouts'),
            ),
        )));

    // Grid2
    $wp_customize->add_setting('LandingPageGrid2Required',
        array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
        ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageGrid2Required',
            array('label'=> __('LandingPage Grid2 Required', 'w3layouts'),
                'section'=> 'LandingPageGridsSection',
                'settings'=> 'LandingPageGrid2Required'
            )));

    $wp_customize->add_setting('LandingPageGrid2Icon', array('default'=> "fas fa-tools",
        'transport'=> 'refresh',
    ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LandingPageGrid2Icon',
        array('label'=> __('LandingPage Grid2 Icon', 'w3layouts'),
            'section'=> 'LandingPageGridsSection',
            'settings'=> 'LandingPageGrid2Icon',
        )));
    $wp_customize->add_setting('LandingPageGrid2Title', array('default'=> "How we Work",
        'transport'=> 'refresh',
    ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LandingPageGrid2Title',
        array('label'=> __('LandingPage Grid2 Title', 'w3layouts'),
            'section'=> 'LandingPageGridsSection',
            'settings'=> 'LandingPageGrid2Title',
        )));

    $wp_customize->add_setting('LandingPageGrid2Content', array('default'=> 'Sed ut perspiciatis unde omnis iste natus error sit accusa ntium dolor emque laudan.',
        'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageGrid2Content',
            array('label'=> __('LandingPage Grid2 Content', 'w3layouts'),
            'section'=> 'LandingPageGridsSection',
            'type'=> 'textarea',
            'input_attrs'=> array('class'=> 'my-custom-class',
            'style'=> 'border: 1px solid #999',
            'placeholder'=> __('Enter message...', 'w3layouts'),
            ),
        )));
    
    // Grid3
    $wp_customize->add_setting('LandingPageGrid3Required',
        array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
        ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageGrid3Required',
            array('label'=> __('LandingPage Grid3 Required', 'w3layouts'),
                'section'=> 'LandingPageGridsSection',
                'settings'=> 'LandingPageGrid3Required'
            )));

    $wp_customize->add_setting('LandingPageGrid3Icon', array('default'=> "fas fa-industry",
        'transport'=> 'refresh',
    ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LandingPageGrid3Icon',
        array('label'=> __('LandingPage Grid3 Icon', 'w3layouts'),
            'section'=> 'LandingPageGridsSection',
            'settings'=> 'LandingPageGrid3Icon',
        )));
    $wp_customize->add_setting('LandingPageGrid3Title', array('default'=> "What we do",
        'transport'=> 'refresh',
    ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LandingPageGrid3Title',
        array('label'=> __('LandingPage Grid3 Title', 'w3layouts'),
            'section'=> 'LandingPageGridsSection',
            'settings'=> 'LandingPageGrid3Title',
        )));

    $wp_customize->add_setting('LandingPageGrid3Content', array('default'=> 'Sed ut perspiciatis unde omnis iste natus error sit accusa ntium dolor emque laudan.',
        'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageGrid3Content',
            array('label'=> __('LandingPage Grid3 Content', 'w3layouts'),
            'section'=> 'LandingPageGridsSection',
            'type'=> 'textarea',
            'input_attrs'=> array('class'=> 'my-custom-class',
            'style'=> 'border: 1px solid #999',
            'placeholder'=> __('Enter message...', 'w3layouts'),
            ),
        )));

    // LandingPage Grids top & bottom area textarea

    $wp_customize->add_setting('LandingPageGridsTopArea', array('default'=> '',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageGridsTopArea',
            array('label'=> __('LP Grids Top', 'w3layouts'),
                'section'=> 'LandingPageGridsSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                    'style'=> 'border: 1px solid #999',
                    'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));

    $wp_customize->add_setting('LandingPageGridsBottomArea', array('default'=> '',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageGridsBottomArea',
            array('label'=> __('LP Grids Bottom', 'w3layouts'),
                'section'=> 'LandingPageGridsSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                    'style'=> 'border: 1px solid #999',
                    'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));
    // LandingPage Grids top & bottom area textarea

    /** LandingPage Grids Section ends **/




    /** LandingPage About Section starts **/

    $wp_customize->add_setting('LandingPageAboutRequired',
        array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
        ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageAboutRequired',
            array('label'=> __('LandingPage About Required', 'w3layouts'),
                'section'=> 'LandingPageAboutSection',
                'settings'=> 'LandingPageAboutRequired',
                'priority'=> 1)));
    $wp_customize->selective_refresh->add_partial('LandingPageAboutRequired', array('selector'=> 'div.LPAbout', // You can also select a css class
        ));

    $wp_customize->add_setting('LandingPageAboutImage',
        array('default'=> '',
            'transport'=> 'refresh',
            'sanitize_callback'=> 'absint'
        ));
    $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'LandingPageAboutImage',
            array('label'=> __('LP About image'),
            'description'=> esc_html__(''),
            'section'=> 'LandingPageAboutSection',
            'flex_width'=> false, // Optional. Default: false
            'flex_height'=> true, // Optional. Default: false
            'width'=> 570, // Optional. Default: 150
            'height'=> 620, // Optional. Default: 150
            'button_labels'=> array( // Optional.
            'select'=> __('Select Image'),
            'change'=> __('Change Image'),
            'remove'=> __('Remove'),
            'default'=> __('Default'),
            'placeholder'=> __('No image selected'),
            'frame_title'=> __('Select Image'),
            'frame_button'=> __('Choose Image'),
        ))));

    $wp_customize->add_setting('LandingPageAboutTitle1', array('default'=> "Since <span>2000</span>",
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageAboutTitle1',
            array('label'=> __('LP About Title1', 'w3layouts'),
                'section'=> 'LandingPageAboutSection',
                'settings'=> 'LandingPageAboutTitle1'
            )));

    $wp_customize->add_setting('LandingPageAboutTitle2', array('default'=> "We Have <span>30+</span> Years Industrial Experience",
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageAboutTitle2',
            array('label'=> __('LP About Title2', 'w3layouts'),
                'section'=> 'LandingPageAboutSection',
                'settings'=> 'LandingPageAboutTitle2'
            )));

    $wp_customize->add_setting('LandingPageAboutpara1', array('default'=> '"Orem ipsum viverra feugiat. Pellen tesque libero ut justo, ultrices in ligula. Semper at tempufddfel. Lorem ipsum dolor sit amet consectetur adipisicing elit. Non quae, fugiat".',
'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageAboutpara1',
            array('label'=> __('LP About Para1', 'w3layouts'),
                'section'=> 'LandingPageAboutSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                    'style'=> 'border: 1px solid #999',
                    'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));

    $wp_customize->add_setting('LandingPageAboutpara2', array('default'=> 'Semper at tempufddfel. Lorem ipsum dolor sit amet consectetur adipisicing elit. Non quae, fugiat. Lorem ipsum viverra feugiat. Pellen tesque libero ut justo, ultrices in ligula.',
        'transport'=> 'refresh',
    ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageAboutpara2',
            array('label'=> __('LP About Para2', 'w3layouts'),
            'section'=> 'LandingPageAboutSection',
            'type'=> 'textarea',
            'input_attrs'=> array('class'=> 'my-custom-class',
                'style'=> 'border: 1px solid #999',
                'placeholder'=> __('Enter message...', 'w3layouts'),
            ),
        )));

    $wp_customize->add_setting('LandingPageAboutSignImage',
        array('default'=> '',
            'transport'=> 'refresh',
            'sanitize_callback'=> 'absint'
        ));
    $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'LandingPageAboutSignImage',
            array('label'=> __('LP About Signature image'),
            'description'=> esc_html__(''),
            'section'=> 'LandingPageAboutSection',
            'flex_width'=> false, // Optional. Default: false
            'flex_height'=> true, // Optional. Default: false
            'width'=> 100, // Optional. Default: 150
            'height'=> 100, // Optional. Default: 150
            'button_labels'=> array( // Optional.
            'select'=> __('Select Image'),
            'change'=> __('Change Image'),
            'remove'=> __('Remove'),
            'default'=> __('Default'),
            'placeholder'=> __('No image selected'),
            'frame_title'=> __('Select Image'),
            'frame_button'=> __('Choose Image'),
        ))));
    
    // LandingPage About Section top & bottom  textarea

    $wp_customize->add_setting('LandingPageAboutTopArea', array('default'=> '',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageAboutTopArea',
            array('label'=> __('LP About Top', 'w3layouts'),
                'section'=> 'LandingPageAboutSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                    'style'=> 'border: 1px solid #999',
                    'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));

    $wp_customize->add_setting('LandingPageAboutBottomArea', array('default'=> '',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageAboutBottomArea',
            array('label'=> __('LP About Bottom', 'w3layouts'),
                'section'=> 'LandingPageAboutSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                    'style'=> 'border: 1px solid #999',
                    'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));

    // LandingPage About Section top & bottom  textarea

    /** LandingPage About Section ends **/





    /** LandingPage Services Section starts **/

    $wp_customize->add_setting('LandingPageServicesRequired',
        array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
        ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageServicesRequired',
            array('label'=> __('LandingPage Services Required', 'w3layouts'),
                'section'=> 'LandingPageServicesSection',
                'settings'=> 'LandingPageServicesRequired',
                'priority'=> 1)));
    $wp_customize->selective_refresh->add_partial('LandingPageServicesRequired', array('selector'=> 'div.LandingPageServices',
        ));

    $wp_customize->add_setting('LandingPageServicesBgImage',
        array('default'=> '',
            'transport'=> 'refresh',
            'sanitize_callback'=> 'absint'
        ));
    $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'LandingPageServicesBgImage',
            array('label'=> __('LP Services Bg Image'),
            'description'=> esc_html__(''),
            'section'=> 'LandingPageServicesSection',
            'flex_width'=> false, // Optional. Default: false
            'flex_height'=> true, // Optional. Default: false
            'width'=> 1760, // Optional. Default: 150
            'height'=> 900, // Optional. Default: 150
            'button_labels'=> array( // Optional.
            'select'=> __('Select Image'),
            'change'=> __('Change Image'),
            'remove'=> __('Remove'),
            'default'=> __('Default'),
            'placeholder'=> __('No image selected'),
            'frame_title'=> __('Select Image'),
            'frame_button'=> __('Choose Image'),
        ))));
        
    $wp_customize->add_setting('LandingPageServicesTitle1', array('default'=> 'Our Services',
        'transport'=> 'refresh',
    ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LandingPageServicesTitle1',
        array('label'=> __('LP Services Section Title1', 'w3layouts'),
            'section'=> 'LandingPageServicesSection',
            'settings'=> 'LandingPageServicesTitle1'
        )));

    $wp_customize->add_setting('LandingPageServicesTitle2', array('default'=> 'High Performance Services For Multiple <span>Industries</span>',
        'transport'=> 'refresh',
    ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LandingPageServicesTitle2',
        array('label'=> __('LP Services Section Title2', 'w3layouts'),
            'section'=> 'LandingPageServicesSection',
            'settings'=> 'LandingPageServicesTitle2'
        )));

    // Service1
    $wp_customize->add_setting('LandingPageService1Required',
        array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
        ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageService1Required',
            array('label'=> __('LP Service1 Required', 'w3layouts'),
            'section'=> 'LandingPageServicesSection',
            'settings'=> 'LandingPageService1Required'
        )));
            
    $wp_customize->add_setting('LandingPageService1Image',
        array('default'=> '',
            'transport'=> 'refresh',
            'sanitize_callback'=> 'absint'
        ));
    $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'LandingPageService1Image',
            array('label'=> __('LP Service1 Image'),
            'description'=> esc_html__(''),
            'section'=> 'LandingPageServicesSection',
            'flex_width'=> false, // Optional. Default: false
            'flex_height'=> true, // Optional. Default: false
            'width'=> 160, // Optional. Default: 150
            'height'=> 160, // Optional. Default: 150
            'button_labels'=> array( // Optional.
            'select'=> __('Select Image'),
            'change'=> __('Change Image'),
            'remove'=> __('Remove'),
            'default'=> __('Default'),
            'placeholder'=> __('No image selected'),
            'frame_title'=> __('Select Image'),
            'frame_button'=> __('Choose Image'),
        ))));

    $wp_customize->add_setting('LandingPageService1Title', array('default'=> 'Industrial Construction',
        'transport'=> 'refresh',
    ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LandingPageService1Title',
        array('label'=> __('LP Service1 Title', 'w3layouts'),
            'section'=> 'LandingPageServicesSection',
            'settings'=> 'LandingPageService1Title'
        )));

    $wp_customize->add_setting('LandingPageService1Url', array('default'=> '#url',
        'transport'=> 'refresh',
    ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LandingPageService1Url',
        array('label'=> __('LP Service1 Title URL', 'w3layouts'),
            'section'=> 'LandingPageServicesSection',
            'settings'=> 'LandingPageService1Url'
        )));

    $wp_customize->add_setting('LandingPageService1Content', array('default'=> 'Amus a ligula quam tesque et libero ut justo, ultrices in. Ut eu leo non. Duis sed et dolor amet.',
        'transport'=> 'refresh',
    ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageService1Content',
            array('label'=> __('LP Service1 Content', 'w3layouts'),
            'section'=> 'LandingPageServicesSection',
            'type'=> 'textarea',
            'input_attrs'=> array('class'=> 'my-custom-class',
                'style'=> 'border: 1px solid #999',
                'placeholder'=> __('Enter message...', 'w3layouts'),
            ),
        )));

    // Service2
    $wp_customize->add_setting('LandingPageService2Required',
        array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
        ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageService2Required',
            array('label'=> __('LP Service2 Required', 'w3layouts'),
            'section'=> 'LandingPageServicesSection',
            'settings'=> 'LandingPageService2Required'
        )));
    $wp_customize->add_setting('LandingPageService2Image',
        array('default'=> '',
            'transport'=> 'refresh',
            'sanitize_callback'=> 'absint'
        ));
    $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'LandingPageService2Image',
            array('label'=> __('LP Services Slider2 Image'),
            'description'=> esc_html__(''),
            'section'=> 'LandingPageServicesSection',
            'flex_width'=> false, // Optional. Default: false
            'flex_height'=> true, // Optional. Default: false
            'width'=> 160, // Optional. Default: 150
            'height'=> 160, // Optional. Default: 150
            'button_labels'=> array( // Optional.
            'select'=> __('Select Image'),
            'change'=> __('Change Image'),
            'remove'=> __('Remove'),
            'default'=> __('Default'),
            'placeholder'=> __('No image selected'),
            'frame_title'=> __('Select Image'),
            'frame_button'=> __('Choose Image'),
        ))));

    $wp_customize->add_setting('LandingPageService2Title', array('default'=> 'Mechanical Engineering',
        'transport'=> 'refresh',
    ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LandingPageService2Title',
        array('label'=> __('LP Service2 Title', 'w3layouts'),
            'section'=> 'LandingPageServicesSection',
            'settings'=> 'LandingPageService2Title'
        )));

    $wp_customize->add_setting('LandingPageService2Url', array('default'=> '#url',
        'transport'=> 'refresh',
    ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LandingPageService2Url',
        array('label'=> __('LP Service2 Title URL', 'w3layouts'),
            'section'=> 'LandingPageServicesSection',
            'settings'=> 'LandingPageService2Url'
        )));

    $wp_customize->add_setting('LandingPageService2Content', array('default'=> 'Amus a ligula quam tesque et libero ut justo, ultrices in. Ut eu leo non. Duis sed et dolor amet.',
        'transport'=> 'refresh',
    ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageService2Content',
            array('label'=> __('LP Service2 Content', 'w3layouts'),
            'section'=> 'LandingPageServicesSection',
            'type'=> 'textarea',
            'input_attrs'=> array('class'=> 'my-custom-class',
                'style'=> 'border: 1px solid #999',
                'placeholder'=> __('Enter message...', 'w3layouts'),
            ),
        )));

    // Service3
    $wp_customize->add_setting('LandingPageService3Required',
        array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
        ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageService3Required',
            array('label'=> __('LP Service3 Required', 'w3layouts'),
            'section'=> 'LandingPageServicesSection',
            'settings'=> 'LandingPageService3Required'
        )));
    $wp_customize->add_setting('LandingPageService3Image',
    array('default'=> '',
        'transport'=> 'refresh',
        'sanitize_callback'=> 'absint'
    ));
    $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'LandingPageService3Image',
            array('label'=> __('LP Service3 Image'),
            'description'=> esc_html__(''),
            'section'=> 'LandingPageServicesSection',
            'flex_width'=> false, // Optional. Default: false
            'flex_height'=> true, // Optional. Default: false
            'width'=> 160, // Optional. Default: 150
            'height'=> 160, // Optional. Default: 150
            'button_labels'=> array( // Optional.
            'select'=> __('Select Image'),
            'change'=> __('Change Image'),
            'remove'=> __('Remove'),
            'default'=> __('Default'),
            'placeholder'=> __('No image selected'),
            'frame_title'=> __('Select Image'),
            'frame_button'=> __('Choose Image'),
        ))));

    $wp_customize->add_setting('LandingPageService3Title', array('default'=> 'Electronic Materials',
        'transport'=> 'refresh',
    ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LandingPageService3Title',
        array('label'=> __('LP Service3 Title', 'w3layouts'),
            'section'=> 'LandingPageServicesSection',
            'settings'=> 'LandingPageService3Title'
        )));

    $wp_customize->add_setting('LandingPageService3Url', array('default'=> '#url',
        'transport'=> 'refresh',
    ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LandingPageService3Url',
        array('label'=> __('LP Service3 Title URL', 'w3layouts'),
            'section'=> 'LandingPageServicesSection',
            'settings'=> 'LandingPageService3Url'
        )));
    
    $wp_customize->add_setting('LandingPageService3Content', array('default'=> 'Amus a ligula quam tesque et libero ut justo, ultrices in. Ut eu leo non. Duis sed et dolor amet.',
        'transport'=> 'refresh',
    ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageService3Content',
            array('label'=> __('LP Service3 Content', 'w3layouts'),
            'section'=> 'LandingPageServicesSection',
            'type'=> 'textarea',
            'input_attrs'=> array('class'=> 'my-custom-class',
                'style'=> 'border: 1px solid #999',
                'placeholder'=> __('Enter message...', 'w3layouts'),
            ),
        )));

    // LandingPage Services top & bottom area textarea

    $wp_customize->add_setting('LandingPageServicesTopArea', array('default'=> '',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageServicesTopArea',
            array('label'=> __('LP Services Top', 'w3layouts'),
                'section'=> 'LandingPageServicesSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                    'style'=> 'border: 1px solid #999',
                    'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));

    $wp_customize->add_setting('LandingPageServicesBottomArea', array('default'=> '',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageServicesBottomArea',
            array('label'=> __('LP Services Bottom', 'w3layouts'),
                'section'=> 'LandingPageServicesSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                    'style'=> 'border: 1px solid #999',
                    'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));
    // LandingPage Services top & bottom area textarea

    /** LandingPage Services Section ends **/



    
    /** LandingPage CWPStats section starts **/

    $wp_customize->add_setting('LandingPageCWPStatsRequired',
        array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
        ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageCWPStatsRequired',
            array('label'=> __('LandingPage CWP Stats Section Required', 'w3layouts'),
                'section'=> 'LandingPageCWPStatsSection',
                'settings'=> 'LandingPageCWPStatsRequired',
                'priority'=> 1)));

    $wp_customize->selective_refresh->add_partial('LandingPageCWPStatsRequired', array('selector'=> 'div.LandingPageCWPStats', // You can also select a css class
        ));

    // CWP
    $wp_customize->add_setting('LandingPageCWPRequired',
        array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
        ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageCWPRequired',
        array('label'=> __('LandingPage CWP Required', 'w3layouts'),
            'section'=> 'LandingPageCWPStatsSection',
            'settings'=> 'LandingPageCWPRequired'
        )));

    $wp_customize->add_setting('LandingPageCWPTitle', array('default'=> "Expert Workers Are Giving Best Services To Build Your <span>Dream Factory",
        'transport'=> 'refresh',
    ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageCWPTitle',
            array('label'=> __('LandingPage CWP Title', 'w3layouts'),
            'section'=> 'LandingPageCWPStatsSection',
            'settings'=> 'LandingPageCWPTitle',
        )));

    $wp_customize->add_setting('LandingPageCWPContent', array('default'=> 'Sed ut perspiciatis unde omnis iste natus error sit doloremque laudantium, totam rem aperiam, veritatis et quasi.',
        'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LandingPageCWPContent',
        array('label'=> __('LandingPage CWP Content', 'w3layouts'),
            'section'=> 'LandingPageCWPStatsSection',
            'type'=> 'textarea',
            'input_attrs'=> array('class'=> 'my-custom-class',
                'style'=> 'border: 1px solid #999',
                'placeholder'=> __('Enter message...', 'w3layouts'),
            ),
        )));
    $wp_customize->add_setting('LandingPageCWPBtnURL', array('default'=> "#url",
        'transport'=> 'refresh',
    ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageCWPBtnURL',
            array('label'=> __('LP CWP Btn Url', 'w3layouts'),
            'section'=> 'LandingPageCWPStatsSection',
            'settings'=> 'LandingPageCWPBtnURL',
        )));

    $wp_customize->add_setting('LandingPageCWPBtnText', array('default'=> "Let's Know More",
        'transport'=> 'refresh',
    ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageCWPBtnText',
            array('label'=> __('LP CWP Btn Text', 'w3layouts'),
            'section'=> 'LandingPageCWPStatsSection',
            'settings'=> 'LandingPageCWPBtnText',
        )));
        
    $wp_customize->add_setting('LandingPageCWPImage',
    array('default'=> '',
        'transport'=> 'refresh',
        'sanitize_callback'=> 'absint'
    ));
    $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'LandingPageCWPImage',
            array('label'=> __('LP CWP Right Image'),
            'description'=> esc_html__(''),
            'section'=> 'LandingPageCWPStatsSection',
            'flex_width'=> false, // Optional. Default: false
            'flex_height'=> true, // Optional. Default: false
            'width'=> 640, // Optional. Default: 150
            'height'=> 427, // Optional. Default: 150
            'button_labels'=> array( // Optional.
            'select'=> __('Select Image'),
            'change'=> __('Change Image'),
            'remove'=> __('Remove'),
            'default'=> __('Default'),
            'placeholder'=> __('No image selected'),
            'frame_title'=> __('Select Image'),
            'frame_button'=> __('Choose Image'),
        ))));


    // Stats
    $wp_customize->add_setting('LandingPageStatsRequired',
        array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
        ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageStatsRequired',
        array('label'=> __('LandingPage Stats Required', 'w3layouts'),
            'section'=> 'LandingPageCWPStatsSection',
            'settings'=> 'LandingPageStatsRequired'
        )));
        
    // Stat1
    $wp_customize->add_setting('LandingPageStat1Required',
        array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
        ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageStat1Required',
        array('label'=> __('LP Stats1 Required', 'w3layouts'),
            'section'=> 'LandingPageCWPStatsSection',
            'settings'=> 'LandingPageStat1Required'
        )));

    $wp_customize->add_setting('LandingPageStat1Number', array('default'=> "5100",
        'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageStat1Number',
            array('label'=> __('LP Stats1 Number', 'w3layouts'),
            'section'=> 'LandingPageCWPStatsSection',
            'settings'=> 'LandingPageStat1Number',
        )));

    $wp_customize->add_setting('LandingPageStat1Title', array('default'=> "Total Projects",
        'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageStat1Title',
            array('label'=> __('LP Stats1 Title', 'w3layouts'),
            'section'=> 'LandingPageCWPStatsSection',
            'settings'=> 'LandingPageStat1Title',
        )));


    // Stat2
    $wp_customize->add_setting('LandingPageStat2Required',
        array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
        ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageStat2Required',
        array('label'=> __('LP Stat2 Required', 'w3layouts'),
            'section'=> 'LandingPageCWPStatsSection',
            'settings'=> 'LandingPageStat2Required'
        )));

    $wp_customize->add_setting('LandingPageStat2Number', array('default'=> "9716",
        'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageStat2Number',
            array('label'=> __('LP Stat2 Number', 'w3layouts'),
            'section'=> 'LandingPageCWPStatsSection',
            'settings'=> 'LandingPageStat2Number',
        )));

    $wp_customize->add_setting('LandingPageStat2Title', array('default'=> "Happy Clients",
        'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageStat2Title',
            array('label'=> __('LP Stat2 Title', 'w3layouts'),
            'section'=> 'LandingPageCWPStatsSection',
            'settings'=> 'LandingPageStat2Title',
        )));

    // Stat3
    $wp_customize->add_setting('LandingPageStat3Required',
        array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
        ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageStat3Required',
        array('label'=> __('LP Stat3 Required', 'w3layouts'),
            'section'=> 'LandingPageCWPStatsSection',
            'settings'=> 'LandingPageStat3Required'
        )));

    $wp_customize->add_setting('LandingPageStat3Number', array('default'=> "7600",
        'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageStat3Number',
            array('label'=> __('LP Stat3 Number', 'w3layouts'),
            'section'=> 'LandingPageCWPStatsSection',
            'settings'=> 'LandingPageStat3Number',
        )));

    $wp_customize->add_setting('LandingPageStat3Title', array('default'=> "Cup Of Coffee",
        'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageStat3Title',
            array('label'=> __('LP Stat3 Title', 'w3layouts'),
            'section'=> 'LandingPageCWPStatsSection',
            'settings'=> 'LandingPageStat3Title',
        )));

    // Stat4
    $wp_customize->add_setting('LandingPageStat4Required',
        array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
        ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageStat4Required',
        array('label'=> __('LP Stat4 Required', 'w3layouts'),
            'section'=> 'LandingPageCWPStatsSection',
            'settings'=> 'LandingPageStat4Required'
        )));

    $wp_customize->add_setting('LandingPageStat4Number', array('default'=> "967",
        'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageStat4Number',
            array('label'=> __('LP Stat4 Number', 'w3layouts'),
            'section'=> 'LandingPageCWPStatsSection',
            'settings'=> 'LandingPageStat4Number',
        )));

    $wp_customize->add_setting('LandingPageStat4Title', array('default'=> "Awards Won",
        'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageStat4Title',
            array('label'=> __('LP Stat4 Title', 'w3layouts'),
            'section'=> 'LandingPageCWPStatsSection',
            'settings'=> 'LandingPageStat4Title',
        )));

    // LandingPage CWP Stats top & bottom area textarea

    $wp_customize->add_setting('LandingPageCWPStatsTopArea', array('default'=> '',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageCWPStatsTopArea',
            array('label'=> __('LP CWP Stats Top', 'w3layouts'),
                'section'=> 'LandingPageCWPStatsSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                    'style'=> 'border: 1px solid #999',
                    'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));

    $wp_customize->add_setting('LandingPageCWPStatsBottomArea', array('default'=> '',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageCWPStatsBottomArea',
            array('label'=> __('LP CWP Stats Bottom', 'w3layouts'),
                'section'=> 'LandingPageCWPStatsSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                    'style'=> 'border: 1px solid #999',
                    'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));
    // LandingPage CWP Stats top & bottom area textarea

    /** LandingPage CWP Stats Section ends **/




    /** LandingPage Cover starts **/

    $wp_customize->add_setting('LandingPageCoverRequired',
        array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
        ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageCoverRequired',
            array('label'=> __('LandingPage Cover Required', 'w3layouts'),
                'section'=> 'LandingPageCoverSection',
                'settings'=> 'LandingPageCoverRequired',
                'priority'=> 1)));
    $wp_customize->selective_refresh->add_partial('LandingPageCoverRequired', array('selector'=> 'div.LandingPageCover', // You can also select a css class
        ));

    $wp_customize->add_setting('LandingPageCoverBgImage',
        array('default'=> '',
            'transport'=> 'refresh',
            'sanitize_callback'=> 'absint'
        ));
    $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'LandingPageCoverBgImage',
            array('label'=> __('LP Cover Bg Image'),
            'description'=> esc_html__(''),
            'section'=> 'LandingPageCoverSection',
            'flex_width'=> false, // Optional. Default: false
            'flex_height'=> true, // Optional. Default: false
            'width'=> 1760, // Optional. Default: 150
            'height'=> 800, // Optional. Default: 150
            'button_labels'=> array( // Optional.
            'select'=> __('Select Image'),
            'change'=> __('Change Image'),
            'remove'=> __('Remove'),
            'default'=> __('Default'),
            'placeholder'=> __('No image selected'),
            'frame_title'=> __('Select Image'),
            'frame_button'=> __('Choose Image'),
        ))));
        
    $wp_customize->add_setting('LandingPageCoverTitle1', array('default'=> 'Industry',
        'transport'=> 'refresh',
    ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LandingPageCoverTitle1',
        array('label'=> __('LP Cover Title1', 'w3layouts'),
            'section'=> 'LandingPageCoverSection',
            'settings'=> 'LandingPageCoverTitle1'
        )));
    $wp_customize->add_setting('LandingPageCoverTitle2', array('default'=> 'We Provide top industrial <span>Services</span>',
        'transport'=> 'refresh',
    ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LandingPageCoverTitle2',
        array('label'=> __('LP Cover Title2', 'w3layouts'),
            'section'=> 'LandingPageCoverSection',
            'settings'=> 'LandingPageCoverTitle2'
        )));

    $wp_customize->add_setting('LandingPageCoverPopupVideoUrl', array('default'=> 'https://player.vimeo.com/video/13618190',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LandingPageCoverPopupVideoUrl',
        array('label'=> __('LP Video URL. YouTube, Vimeo or something similar', 'w3layouts'),
            'section'=> 'LandingPageCoverSection',
            'settings'=> 'LandingPageCoverPopupVideoUrl'
        )));

    // LandingPage Cover top & bottom area textarea

    $wp_customize->add_setting('LandingPageCoverTopArea', array('default'=> '',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageCoverTopArea',
            array('label'=> __('LP Cover Top', 'w3layouts'),
                'section'=> 'LandingPageCoverSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                    'style'=> 'border: 1px solid #999',
                    'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));

    // $wp_customize->add_setting('LandingPageCoverBottomArea', array('default'=> '',
    // 		'transport'=> 'refresh',
    // 	));
    // $wp_customize->add_control(new WP_Customize_Control($wp_customize,
    // 		'LandingPageCoverBottomArea',
    // 		array('label'=> __('LP Cover Bottom', 'w3layouts'),
    // 			'section'=> 'LandingPageCoverSection',
    // 			'type'=> 'textarea',
    // 			'input_attrs'=> array('class'=> 'my-custom-class',
    // 				'style'=> 'border: 1px solid #999',
    // 				'placeholder'=> __('Enter message...', 'w3layouts'),
    // 			),
    // 		)));
    // LandingPage Cover top & bottom area textarea

    /** LandingPage Cover Section ends **/



    /** LandingPage Cover Grids starts **/

    $wp_customize->add_setting('LandingPageCoverGridsRequired',
        array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
        ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageCoverGridsRequired',
            array('label'=> __('LandingPage Cover Grids Required', 'w3layouts'),
                'section'=> 'LandingPageCoverGridsSection',
                'settings'=> 'LandingPageCoverGridsRequired',
                'priority'=> 1)));
    $wp_customize->selective_refresh->add_partial('LandingPageCoverGridsRequired', array('selector'=> 'div.LandingPageCoverGrids', // You can also select a css class
        ));

    // CoverGrid1
    $wp_customize->add_setting('LandingPageCoverGrid1Required',
        array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
        ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageCoverGrid1Required',
            array('label'=> __('LP Cover Grid1 Required', 'w3layouts'),
                'section'=> 'LandingPageCoverGridsSection',
                'settings'=> 'LandingPageCoverGrid1Required' 
            )));

    $wp_customize->add_setting('LandingPageCoverGrid1Image',
        array('default'=> '',
            'transport'=> 'refresh',
            'sanitize_callback'=> 'absint'
        ));
    $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'LandingPageCoverGrid1Image',
            array('label'=> __('LP Cover Grid1 Image'),
            'description'=> esc_html__(''),
            'section'=> 'LandingPageCoverGridsSection',
            'flex_width'=> false, // Optional. Default: false
            'flex_height'=> true, // Optional. Default: false
            'width'=> 370, // Optional. Default: 150
            'height'=> 420, // Optional. Default: 150
            'button_labels'=> array( // Optional.
            'select'=> __('Select Image'),
            'change'=> __('Change Image'),
            'remove'=> __('Remove'),
            'default'=> __('Default'),
            'placeholder'=> __('No image selected'),
            'frame_title'=> __('Select Image'),
            'frame_button'=> __('Choose Image'),
        ))));

    $wp_customize->add_setting('LandingPageCoverGrid1TitleUrl', array('default'=> '#url',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LandingPageCoverGrid1TitleUrl',
        array('label'=> __('LP Cover Grid1 Title URL', 'w3layouts'),
            'section'=> 'LandingPageCoverGridsSection',
            'settings'=> 'LandingPageCoverGrid1TitleUrl'
        )));
    $wp_customize->add_setting('LandingPageCoverGrid1Title', array('default'=> 'Civil Engineering',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LandingPageCoverGrid1Title',
        array('label'=> __('LP Cover Grid1 Title', 'w3layouts'),
            'section'=> 'LandingPageCoverGridsSection',
            'settings'=> 'LandingPageCoverGrid1Title'
        )));

    // CoverGrid2
    $wp_customize->add_setting('LandingPageCoverGrid2Required',
        array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
        ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageCoverGrid2Required',
            array('label'=> __('LP Cover Grid2 Required', 'w3layouts'),
                'section'=> 'LandingPageCoverGridsSection',
                'settings'=> 'LandingPageCoverGrid2Required' 
            )));

    $wp_customize->add_setting('LandingPageCoverGrid2Image',
        array('default'=> '',
            'transport'=> 'refresh',
            'sanitize_callback'=> 'absint'
        ));
    $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'LandingPageCoverGrid2Image',
            array('label'=> __('LP Cover Grid2 Image'),
            'description'=> esc_html__(''),
            'section'=> 'LandingPageCoverGridsSection',
            'flex_width'=> false, // Optional. Default: false
            'flex_height'=> true, // Optional. Default: false
            'width'=> 370, // Optional. Default: 150
            'height'=> 420, // Optional. Default: 150
            'button_labels'=> array( // Optional.
            'select'=> __('Select Image'),
            'change'=> __('Change Image'),
            'remove'=> __('Remove'),
            'default'=> __('Default'),
            'placeholder'=> __('No image selected'),
            'frame_title'=> __('Select Image'),
            'frame_button'=> __('Choose Image'),
        ))));

    $wp_customize->add_setting('LandingPageCoverGrid2TitleUrl', array('default'=> '#url',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LandingPageCoverGrid2TitleUrl',
        array('label'=> __('LP Cover Grid2 Title URL', 'w3layouts'),
            'section'=> 'LandingPageCoverGridsSection',
            'settings'=> 'LandingPageCoverGrid2TitleUrl'
        )));
    $wp_customize->add_setting('LandingPageCoverGrid2Title', array('default'=> 'Oil & Gas Engineering',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LandingPageCoverGrid2Title',
        array('label'=> __('LP Cover Grid2 Title', 'w3layouts'),
            'section'=> 'LandingPageCoverGridsSection',
            'settings'=> 'LandingPageCoverGrid2Title'
        )));


    // CoverGrid3
    $wp_customize->add_setting('LandingPageCoverGrid3Required',
        array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
        ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageCoverGrid3Required',
            array('label'=> __('LP Cover Grid3 Required', 'w3layouts'),
                'section'=> 'LandingPageCoverGridsSection',
                'settings'=> 'LandingPageCoverGrid3Required' 
            )));

    $wp_customize->add_setting('LandingPageCoverGrid3Image',
        array('default'=> '',
            'transport'=> 'refresh',
            'sanitize_callback'=> 'absint'
        ));
    $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'LandingPageCoverGrid3Image',
            array('label'=> __('LP Cover Grid3 Image'),
            'description'=> esc_html__(''),
            'section'=> 'LandingPageCoverGridsSection',
            'flex_width'=> false, // Optional. Default: false
            'flex_height'=> true, // Optional. Default: false
            'width'=> 370, // Optional. Default: 150
            'height'=> 420, // Optional. Default: 150
            'button_labels'=> array( // Optional.
            'select'=> __('Select Image'),
            'change'=> __('Change Image'),
            'remove'=> __('Remove'),
            'default'=> __('Default'),
            'placeholder'=> __('No image selected'),
            'frame_title'=> __('Select Image'),
            'frame_button'=> __('Choose Image'),
        ))));

    $wp_customize->add_setting('LandingPageCoverGrid3TitleUrl', array('default'=> '#url',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LandingPageCoverGrid3TitleUrl',
        array('label'=> __('LP Cover Grid3 Title URL', 'w3layouts'),
            'section'=> 'LandingPageCoverGridsSection',
            'settings'=> 'LandingPageCoverGrid3TitleUrl'
        )));
    $wp_customize->add_setting('LandingPageCoverGrid3Title', array('default'=> 'Chemical Research',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LandingPageCoverGrid3Title',
        array('label'=> __('LP Cover Grid3 Title', 'w3layouts'),
            'section'=> 'LandingPageCoverGridsSection',
            'settings'=> 'LandingPageCoverGrid3Title'
        )));

    // LandingPage CoverGrids top & bottom area textarea

    // $wp_customize->add_setting('LandingPageCoverGridsTopArea', array('default'=> '',
    // 		'transport'=> 'refresh',
    // 	));
    // $wp_customize->add_control(new WP_Customize_Control($wp_customize,
    // 		'LandingPageCoverGridsTopArea',
    // 		array('label'=> __('LP CoverGrids Top', 'w3layouts'),
    // 			'section'=> 'LandingPageCoverGridsSection',
    // 			'type'=> 'textarea',
    // 			'input_attrs'=> array('class'=> 'my-custom-class',
    // 				'style'=> 'border: 1px solid #999',
    // 				'placeholder'=> __('Enter message...', 'w3layouts'),
    // 			),
    // 		)));

    $wp_customize->add_setting('LandingPageCoverGridsBottomArea', array('default'=> '',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageCoverGridsBottomArea',
            array('label'=> __('LP CoverGrids Bottom', 'w3layouts'),
                'section'=> 'LandingPageCoverGridsSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                    'style'=> 'border: 1px solid #999',
                    'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));
    // LandingPage CoverGrids top & bottom area textarea

    /** LandingPage CoverGrids Section ends **/
    


    
    /** LandingPage Testimonials starts **/

    $wp_customize->add_setting('LandingPageTestimonialsRequired',
        array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
        ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageTestimonialsRequired',
            array('label'=> __('LandingPage Testimonials Required', 'w3layouts'),
                'section'=> 'LandingPageTestimonialsSection',
                'settings'=> 'LandingPageTestimonialsRequired',
                'priority'=> 1)));
    $wp_customize->selective_refresh->add_partial('LandingPageTestimonialsRequired', array('selector'=> 'div.LandingPageTestimonials', // You can also select a css class
        ));

    $wp_customize->add_setting('LandingPageTestimonialsTitle1', array('default'=> "Testimonials",
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageTestimonialsTitle1',
            array('label'=> __('LandingPage Testimonials Title1', 'w3layouts'),
                'section'=> 'LandingPageTestimonialsSection',
                'settings'=> 'LandingPageTestimonialsTitle1',
            )));

    $wp_customize->add_setting('LandingPageTestimonialsTitle2', array('default'=> "Happy With Customers & <span>Clients",
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageTestimonialsTitle2',
            array('label'=> __('LandingPage Testimonials Title2', 'w3layouts'),
                'section'=> 'LandingPageTestimonialsSection',
                'settings'=> 'LandingPageTestimonialsTitle2',
            )));

                    
    // client 1

    $wp_customize->add_setting('LandingPageTestimonial1Required',
        array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
        ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageTestimonial1Required',
            array('label'=> __('LP Testimonial 1 Required', 'w3layouts'),
                'section'=> 'LandingPageTestimonialsSection',
                'settings'=> 'LandingPageTestimonial1Required'
            )));

    $wp_customize->add_setting('LandingPageTestimonialsClient1Title', array('default'=> 'Pellen tesque libero ut justo',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageTestimonialsClient1Title',
            array('label'=> __('LP Client 1 Title', 'w3layouts'),
                'section'=> 'LandingPageTestimonialsSection',
                'settings'=> 'LandingPageTestimonialsClient1Title'
            )));

    $wp_customize->add_setting('LandingPageTestimonialsMessage1', array('default'=> 'Lorem ipsum dolor sit amet elit. hic odio tenetur. ante ipsum primis in faucibus orci luctus et ultrices posuere,tesque libero ut justo Semper.',
'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageTestimonialsMessage1',
            array('label'=> __('LP Client 1 Message', 'w3layouts'),
                'section'=> 'LandingPageTestimonialsSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                    'style'=> 'border: 1px solid #999',
                    'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));

    $wp_customize->add_setting('LandingPageTestimonialsClient1Image',
        array('default'=> '',
            'transport'=> 'refresh',
            'sanitize_callback'=> 'absint'
        ));
    $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'LandingPageTestimonialsClient1Image',
            array('label'=> __('LP Client 1 Image'),
                'description'=> esc_html__(''),
                'section'=> 'LandingPageTestimonialsSection',
                'flex_width'=> false, // Optional. Default: false
                'flex_height'=> true, // Optional. Default: false
                'width'=> 70, // Optional. Default: 150
                'height'=> 70, // Optional. Default: 150
                'button_labels'=> array( // Optional.
                'select'=> __('Select Image'),
                'change'=> __('Change Image'),
                'remove'=> __('Remove'),
                'default'=> __('Default'),
                'placeholder'=> __('No image selected'),
                'frame_title'=> __('Select Image'),
                'frame_button'=> __('Choose Image'),
                ))));

    $wp_customize->add_setting('LandingPageTestimonialsClient1Name', array('default'=> 'Johnson william',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageTestimonialsClient1Name',
            array('label'=> __('LP Client 1 Name', 'w3layouts'),
                'section'=> 'LandingPageTestimonialsSection',
                'settings'=> 'LandingPageTestimonialsClient1Name'
            )));

    $wp_customize->add_setting('LandingPageTestimonialsClient1Designation', array('default'=> 'Subtitle',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageTestimonialsClient1Designation',
            array('label'=> __('LP Client 1 Designation', 'w3layouts'),
                'section'=> 'LandingPageTestimonialsSection',
                'settings'=> 'LandingPageTestimonialsClient1Designation'
            )));
    // client 1

    // client 2

    $wp_customize->add_setting('LandingPageTestimonial2Required',
        array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
        ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageTestimonial2Required',
            array('label'=> __('LP Testimonial 2 Required', 'w3layouts'),
                'section'=> 'LandingPageTestimonialsSection',
                'settings'=> 'LandingPageTestimonial2Required'
            )));

    $wp_customize->add_setting('LandingPageTestimonialsClient2Title', array('default'=> 'Lorem ipsum dolor sit amet',
        'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageTestimonialsClient2Title',
            array('label'=> __('LP Client 2 Title', 'w3layouts'),
                'section'=> 'LandingPageTestimonialsSection',
                'settings'=> 'LandingPageTestimonialsClient2Title'
            )));
    $wp_customize->add_setting('LandingPageTestimonialsMessage2', array('default'=> 'Lorem ipsum dolor sit amet elit. hic odio tenetur. ante ipsum primis in faucibus orci luctus et ultrices posuere,tesque libero ut justo Semper.',
'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageTestimonialsMessage2',
            array('label'=> __('LP Client 2 Message', 'w3layouts'),
                'section'=> 'LandingPageTestimonialsSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                    'style'=> 'border: 1px solid #999',
                    'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));
    $wp_customize->add_setting('LandingPageTestimonialsClient2Image',
        array('default'=> '',
            'transport'=> 'refresh',
            'sanitize_callback'=> 'absint'
        ));
    $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'LandingPageTestimonialsClient2Image',
            array('label'=> __('LP Client 2 Image'),
                'description'=> esc_html__(''),
                'section'=> 'LandingPageTestimonialsSection',
                'flex_width'=> false, // Optional. Default: false
                'flex_height'=> true, // Optional. Default: false
                'width'=> 400, // Optional. Default: 150
                'height'=> 500, // Optional. Default: 150
                'button_labels'=> array( // Optional.
                'select'=> __('Select Image'),
                'change'=> __('Change Image'),
                'remove'=> __('Remove'),
                'default'=> __('Default'),
                'placeholder'=> __('No image selected'),
                'frame_title'=> __('Select Image'),
                'frame_button'=> __('Choose Image'),
            ))));
    $wp_customize->add_setting('LandingPageTestimonialsClient2Name', array('default'=> 'Alexander sakura',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageTestimonialsClient2Name',
            array('label'=> __('LP Client 2 Name', 'w3layouts'),
                'section'=> 'LandingPageTestimonialsSection',
                'settings'=> 'LandingPageTestimonialsClient2Name'
            )));

    $wp_customize->add_setting('LandingPageTestimonialsClient2Designation', array('default'=> 'Subtitle',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageTestimonialsClient2Designation',
            array('label'=> __('LP Client 2 Designation', 'w3layouts'),
                'section'=> 'LandingPageTestimonialsSection',
                'settings'=> 'LandingPageTestimonialsClient2Designation'
            )));
    // client 2

    // client 3

    $wp_customize->add_setting('LandingPageTestimonial3Required',
        array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
        ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageTestimonial3Required',
            array('label'=> __('LP Testimonial 3 Required', 'w3layouts'),
                'section'=> 'LandingPageTestimonialsSection',
                'settings'=> 'LandingPageTestimonial3Required'
            )));

    $wp_customize->add_setting('LandingPageTestimonialsClient3Title', array('default'=> 'Pellen tesque libero ut justo',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageTestimonialsClient3Title',
            array('label'=> __('LP Client 3 Title', 'w3layouts'),
                'section'=> 'LandingPageTestimonialsSection',
                'settings'=> 'LandingPageTestimonialsClient3Title'
            )));

    $wp_customize->add_setting('LandingPageTestimonialsMessage3', array('default'=> 'Lorem ipsum dolor sit amet elit. hic odio tenetur. ante ipsum primis in faucibus orci luctus et ultrices posuere,tesque libero ut justo Semper.',
'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageTestimonialsMessage3',
            array('label'=> __('LP Client 3 Message', 'w3layouts'),
                'section'=> 'LandingPageTestimonialsSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                    'style'=> 'border: 1px solid #999',
                    'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));

    $wp_customize->add_setting('LandingPageTestimonialsClient3Image',
        array('default'=> '',
            'transport'=> 'refresh',
            'sanitize_callback'=> 'absint'
        ));
    $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'LandingPageTestimonialsClient3Image',
        array('label'=> __('LP Client 3 Image'),
            'description'=> esc_html__(''),
            'section'=> 'LandingPageTestimonialsSection',
            'flex_width'=> false, // Optional. Default: false
            'flex_height'=> true, // Optional. Default: false
            'width'=> 400, // Optional. Default: 150
            'height'=> 500, // Optional. Default: 150
            'button_labels'=> array( // Optional.
            'select'=> __('Select Image'),
            'change'=> __('Change Image'),
            'remove'=> __('Remove'),
            'default'=> __('Default'),
            'placeholder'=> __('No image selected'),
            'frame_title'=> __('Select Image'),
            'frame_button'=> __('Choose Image'),
        ))));
    $wp_customize->add_setting('LandingPageTestimonialsClient3Name', array('default'=> 'John wilson',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageTestimonialsClient3Name',
            array('label'=> __('LP Client 3 Name', 'w3layouts'),
                'section'=> 'LandingPageTestimonialsSection',
                'settings'=> 'LandingPageTestimonialsClient3Name'
            )));

    $wp_customize->add_setting('LandingPageTestimonialsClient3Designation', array('default'=> 'Subtitle',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageTestimonialsClient3Designation',
            array('label'=> __('LP Client 3 Designation', 'w3layouts'),
                'section'=> 'LandingPageTestimonialsSection',
                'settings'=> 'LandingPageTestimonialsClient3Designation'
            )));
    // client 3

    // client 4

    $wp_customize->add_setting('LandingPageTestimonial4Required',
        array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
        ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageTestimonial4Required',
            array('label'=> __('LP Testimonial 4 Required', 'w3layouts'),
                'section'=> 'LandingPageTestimonialsSection',
                'settings'=> 'LandingPageTestimonial4Required'
            )));
    
    $wp_customize->add_setting('LandingPageTestimonialsClient4Title', array('default'=> 'Lorem ipsum dolor sit amet',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageTestimonialsClient4Title',
            array('label'=> __('LP Client 4 Title', 'w3layouts'),
                'section'=> 'LandingPageTestimonialsSection',
                'settings'=> 'LandingPageTestimonialsClient4Title'
            )));
    $wp_customize->add_setting('LandingPageTestimonialsMessage4', array('default'=> 'Lorem ipsum dolor sit amet elit. hic odio tenetur. ante ipsum primis in faucibus orci luctus et ultrices posuere,tesque libero ut justo Semper.',
'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageTestimonialsMessage4',
            array('label'=> __('LP Client 4 Message', 'w3layouts'),
                'section'=> 'LandingPageTestimonialsSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                    'style'=> 'border: 1px solid #999',
                    'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));

    $wp_customize->add_setting('LandingPageTestimonialsClient4Image',
        array('default'=> '',
            'transport'=> 'refresh',
            'sanitize_callback'=> 'absint'
        ));
    $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'LandingPageTestimonialsClient4Image',
            array('label'=> __('LP Client 4 Image'),
                'description'=> esc_html__(''),
                'section'=> 'LandingPageTestimonialsSection',
                'flex_width'=> false, // Optional. Default: false
                'flex_height'=> true, // Optional. Default: false
                'width'=> 400, // Optional. Default: 150
                'height'=> 500, // Optional. Default: 150
                'button_labels'=> array( // Optional.
                'select'=> __('Select Image'),
                'change'=> __('Change Image'),
                'remove'=> __('Remove'),
                'default'=> __('Default'),
                'placeholder'=> __('No image selected'),
                'frame_title'=> __('Select Image'),
                'frame_button'=> __('Choose Image'),
            ))));
    $wp_customize->add_setting('LandingPageTestimonialsClient4Name', array('default'=> 'Julia sakura',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageTestimonialsClient4Name',
            array('label'=> __('LP Client 4 Name', 'w3layouts'),
                'section'=> 'LandingPageTestimonialsSection',
                'settings'=> 'LandingPageTestimonialsClient4Name'
            )));

    $wp_customize->add_setting('LandingPageTestimonialsClient4Designation', array('default'=> 'Subtitle',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageTestimonialsClient4Designation',
            array('label'=> __('LP Client 4 Designation', 'w3layouts'),
                'section'=> 'LandingPageTestimonialsSection',
                'settings'=> 'LandingPageTestimonialsClient4Designation'
            )));
    // client 4

    // client 5
    $wp_customize->add_setting('LandingPageTestimonial5Required',
        array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
        ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageTestimonial5Required',
            array('label'=> __('LP Testimonial 5 Required', 'w3layouts'),
                'section'=> 'LandingPageTestimonialsSection',
                'settings'=> 'LandingPageTestimonial5Required'
            )));
    
    $wp_customize->add_setting('LandingPageTestimonialsClient5Title', array('default'=> 'Pellen tesque libero ut justo',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageTestimonialsClient5Title',
            array('label'=> __('LP Client 5 Title', 'w3layouts'),
                'section'=> 'LandingPageTestimonialsSection',
                'settings'=> 'LandingPageTestimonialsClient5Title'
            )));
    $wp_customize->add_setting('LandingPageTestimonialsMessage5', array('default'=> 'Lorem ipsum dolor sit amet elit. hic odio tenetur. ante ipsum primis in faucibus orci luctus et ultrices posuere,tesque libero ut justo Semper.',
'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageTestimonialsMessage5',
            array('label'=> __('LP Client 5 Message', 'w3layouts'),
                'section'=> 'LandingPageTestimonialsSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                    'style'=> 'border: 1px solid #999',
                    'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));

    $wp_customize->add_setting('LandingPageTestimonialsClient5Image',
        array('default'=> '',
            'transport'=> 'refresh',
            'sanitize_callback'=> 'absint'
        ));
    $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'LandingPageTestimonialsClient5Image',
            array('label'=> __('LP Client 5 Image'),
                'description'=> esc_html__(''),
                'section'=> 'LandingPageTestimonialsSection',
                'flex_width'=> false, // Optional. Default: false
                'flex_height'=> true, // Optional. Default: false
                'width'=> 400, // Optional. Default: 150
                'height'=> 500, // Optional. Default: 150
                'button_labels'=> array( // Optional.
                'select'=> __('Select Image'),
                'change'=> __('Change Image'),
                'remove'=> __('Remove'),
                'default'=> __('Default'),
                'placeholder'=> __('No image selected'),
                'frame_title'=> __('Select Image'),
                'frame_button'=> __('Choose Image'),
            ))));
    $wp_customize->add_setting('LandingPageTestimonialsClient5Name', array('default'=> 'John wilson',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageTestimonialsClient5Name',
            array('label'=> __('LP Client 5 Name', 'w3layouts'),
                'section'=> 'LandingPageTestimonialsSection',
                'settings'=> 'LandingPageTestimonialsClient5Name'
            )));

    $wp_customize->add_setting('LandingPageTestimonialsClient5Designation', array('default'=> 'Subtitle',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageTestimonialsClient5Designation',
            array('label'=> __('LP Client 5 Designation', 'w3layouts'),
                'section'=> 'LandingPageTestimonialsSection',
                'settings'=> 'LandingPageTestimonialsClient5Designation'
            )));
    // client 5

    // client 6
    $wp_customize->add_setting('LandingPageTestimonial6Required',
        array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
        ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageTestimonial6Required',
            array('label'=> __('LP Testimonial 6 Required', 'w3layouts'),
                'section'=> 'LandingPageTestimonialsSection',
                'settings'=> 'LandingPageTestimonial6Required'
            )));
    
    $wp_customize->add_setting('LandingPageTestimonialsClient6Title', array('default'=> 'Lorem ipsum dolor sit amet',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageTestimonialsClient6Title',
            array('label'=> __('LP Client 6 Title', 'w3layouts'),
                'section'=> 'LandingPageTestimonialsSection',
                'settings'=> 'LandingPageTestimonialsClient6Title'
            )));
    $wp_customize->add_setting('LandingPageTestimonialsMessage6', array('default'=> 'Lorem ipsum dolor sit amet elit. hic odio tenetur. ante ipsum primis in faucibus orci luctus et ultrices posuere,tesque libero ut justo Semper.',
'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageTestimonialsMessage6',
            array('label'=> __('LP Client 6 Message', 'w3layouts'),
                'section'=> 'LandingPageTestimonialsSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                    'style'=> 'border: 1px solid #999',
                    'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));

    $wp_customize->add_setting('LandingPageTestimonialsClient6Image',
        array('default'=> '',
            'transport'=> 'refresh',
            'sanitize_callback'=> 'absint'
        ));
    $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'LandingPageTestimonialsClient6Image',
            array('label'=> __('LP Client 6 Image'),
                'description'=> esc_html__(''),
                'section'=> 'LandingPageTestimonialsSection',
                'flex_width'=> false, // Optional. Default: false
                'flex_height'=> true, // Optional. Default: false
                'width'=> 400, // Optional. Default: 150
                'height'=> 500, // Optional. Default: 150
                'button_labels'=> array( // Optional.
                'select'=> __('Select Image'),
                'change'=> __('Change Image'),
                'remove'=> __('Remove'),
                'default'=> __('Default'),
                'placeholder'=> __('No image selected'),
                'frame_title'=> __('Select Image'),
                'frame_button'=> __('Choose Image'),
            ))));
    $wp_customize->add_setting('LandingPageTestimonialsClient6Name', array('default'=> 'Julia sakura',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageTestimonialsClient6Name',
            array('label'=> __('LP Client 6 Name', 'w3layouts'),
                'section'=> 'LandingPageTestimonialsSection',
                'settings'=> 'LandingPageTestimonialsClient6Name'
            )));

    $wp_customize->add_setting('LandingPageTestimonialsClient6Designation', array('default'=> 'Subtitle',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageTestimonialsClient6Designation',
            array('label'=> __('LP Client 6 Designation', 'w3layouts'),
                'section'=> 'LandingPageTestimonialsSection',
                'settings'=> 'LandingPageTestimonialsClient6Designation'
            )));
    // client 6

    // LandingPage Testimonials top & bottom  area textarea

    $wp_customize->add_setting('LandingPageTestimonialsTopArea', array('default'=> '',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageTestimonialsTopArea',
            array('label'=> __('LP Testimonials Top', 'w3layouts'),
                'section'=> 'LandingPageTestimonialsSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                    'style'=> 'border: 1px solid #999',
                    'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));

    $wp_customize->add_setting('LandingPageTestimonialsBottomArea', array('default'=> '',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageTestimonialsBottomArea',
            array('label'=> __('LP Testimonials Bottom', 'w3layouts'),
                'section'=> 'LandingPageTestimonialsSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                    'style'=> 'border: 1px solid #999',
                    'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));
    // LandingPage Testimonials top & bottom  area textarea

    /** LandingPage Testimonials ends **/





    /** LandingPage BlogPosts starts **/

    $wp_customize->add_setting('LandingPageBlogPostsRequired',
        array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
        ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageBlogPostsRequired',
            array('label'=> __('LandingPage Blog Posts Required', 'w3layouts'),
                'section'=> 'LandingPageBlogPostsSection',
                'settings'=> 'LandingPageBlogPostsRequired',
                'priority'=> 1)));

    $wp_customize->selective_refresh->add_partial('LandingPageBlogPostsRequired', array('selector'=> 'div.LandingPageBlogPosts', // You can also select a css class
        ));

    $wp_customize->add_setting('LandingPageBlogPostsTitle1', array('default'=> 'Our Blog',
        'transport'=> 'refresh',
    ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LandingPageBlogPostsTitle1',
        array('label'=> __('LandingPage BlogPosts Title1', 'w3layouts'),
            'section'=> 'LandingPageBlogPostsSection',
            'settings'=> 'LandingPageBlogPostsTitle1'
        )));

    $wp_customize->add_setting('LandingPageBlogPostsTitle2', array('default'=> "Learn more from our latest <span>Blog</span> Posts",
        'transport'=> 'refresh',
    ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LandingPageBlogPostsTitle2',
        array('label'=> __('LandingPage BlogPosts Title2', 'w3layouts'),
            'section'=> 'LandingPageBlogPostsSection',
            'settings'=> 'LandingPageBlogPostsTitle2',
        )));

    $wp_customize->add_setting('BlogLandingPageCategoryRequired',
        array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
        ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'BlogLandingPageCategoryRequired',
            array('label'=> __('LP Blog Category Required', 'w3layouts'),
                'section'=> 'LandingPageBlogPostsSection',
                'settings'=> 'BlogLandingPageCategoryRequired'
            )));

    $wp_customize->add_setting('BlogLandingPageAuthRequired',
        array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
        ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'BlogLandingPageAuthRequired',
            array('label'=> __('LP Blog Author Required', 'w3layouts'),
                'section'=> 'LandingPageBlogPostsSection',
                'settings'=> 'BlogLandingPageAuthRequired'
            )));

    $wp_customize->add_setting('BlogLandingPageDateRequired',
        array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
        ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'BlogLandingPageDateRequired',
            array('label'=> __('LP Post Date Required', 'w3layouts'),
                'section'=> 'LandingPageBlogPostsSection',
                'settings'=> 'BlogLandingPageDateRequired'
            )));

    $wp_customize->add_setting('BlogLandingPageReadMoreRequired',
        array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
        ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'BlogLandingPageReadMoreRequired',
            array('label'=> __('LP Post Read More Required', 'w3layouts'),
                'section'=> 'LandingPageBlogPostsSection',
                'settings'=> 'BlogLandingPageReadMoreRequired'
            )));
    // LandingPage BlogPosts Section top & bottom  textarea

    $wp_customize->add_setting('LandingPageBlogPostsTopArea', array('default'=> '',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageBlogPostsTopArea',
            array('label'=> __('LandingPage BlogPosts Top', 'w3layouts'),
                'section'=> 'LandingPageBlogPostsSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                    'style'=> 'border: 1px solid #999',
                    'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));

    $wp_customize->add_setting('LandingPageBlogPostsBottomArea', array('default'=> '',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageBlogPostsBottomArea',
            array('label'=> __('LandingPage BlogPosts Bottom', 'w3layouts'),
                'section'=> 'LandingPageBlogPostsSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                    'style'=> 'border: 1px solid #999',
                    'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));

    // LandingPage BlogPosts Section top & bottom  textarea

    /** LandingPage BlogPosts ends **/



          
        /** LandingPage Team starts **/

        $wp_customize->add_setting('LandingPageTeamRequired',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageTeamRequired',
                array('label'=> __('LandingPage Team Required', 'w3layouts'),
                    'section'=> 'LandingPageTeamSection',
                    'settings'=> 'LandingPageTeamRequired',
                    'priority'=> 1)));
        $wp_customize->selective_refresh->add_partial('LandingPageTeamRequired', array('selector'=> 'div.LandingPageTeam', // You can also select a css class
            ));

            $wp_customize->add_setting('LandingPageTeamBgImage',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));

        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'LandingPageTeamBgImage',
                array('label'=> __('LP Team Section Bg image'),
                'description'=> esc_html__(''),
                'section'=> 'LandingPageTeamSection',
                'flex_width'=> false, // Optional. Default: false
                'flex_height'=> true, // Optional. Default: false
                'width'=> 1760, // Optional. Default: 150
                'height'=> 900, // Optional. Default: 150
                'button_labels'=> array( // Optional.
                    'select'=> __('Select Image'),
                    'change'=> __('Change Image'),
                    'remove'=> __('Remove'),
                    'default'=> __('Default'),
                    'placeholder'=> __('No image selected'),
                    'frame_title'=> __('Select Image'),
                    'frame_button'=> __('Choose Image'),
                ))));

        $wp_customize->add_setting('LandingPageTeamTitle1', array('default'=> 'Our Team',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'LandingPageTeamTitle1',
                array('label'=> __('LP Team Section Title1', 'w3layouts'),
                    'section'=> 'LandingPageTeamSection',
                    'settings'=> 'LandingPageTeamTitle1'
                )));

        $wp_customize->add_setting('LandingPageTeamTitle2', array('default'=> 'We Always Work With A Great <span>Team</span>',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'LandingPageTeamTitle2',
                array('label'=> __('LP Team Section Title2', 'w3layouts'),
                    'section'=> 'LandingPageTeamSection',
                    'settings'=> 'LandingPageTeamTitle2'
                )));

        // Team 1
        $wp_customize->add_setting('LandingPageTeam1Required',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageTeam1Required',
                array('label'=> __('LP Team1 Required', 'w3layouts'),
                    'section'=> 'LandingPageTeamSection',
                    'settings'=> 'LandingPageTeam1Required'
                )));

        $wp_customize->add_setting('LandingPageTeam1Image',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));

        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'LandingPageTeam1Image',
                array('label'=> __('LP Team1 image'),
                'description'=> esc_html__(''),
                'section'=> 'LandingPageTeamSection',
                'flex_width'=> false, // Optional. Default: false
                'flex_height'=> true, // Optional. Default: false
                'width'=> 300, // Optional. Default: 150
                'height'=> 300, // Optional. Default: 150
                'button_labels'=> array( // Optional.
                    'select'=> __('Select Image'),
                    'change'=> __('Change Image'),
                    'remove'=> __('Remove'),
                    'default'=> __('Default'),
                    'placeholder'=> __('No image selected'),
                    'frame_title'=> __('Select Image'),
                    'frame_button'=> __('Choose Image'),
                ))));

        $wp_customize->add_setting('LandingPageTeam1Title', array('default'=> 'Lyn Victor',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'LandingPageTeam1Title',
                array('label'=> __('LP Team1 Name', 'w3layouts'),
                    'section'=> 'LandingPageTeamSection',
                    'settings'=> 'LandingPageTeam1Title'
                )));

        $wp_customize->add_setting('LandingPageTeam1TitleUrl', array('default'=> '#url',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'LandingPageTeam1TitleUrl',
                array('label'=> __('LP Team1 Name Url', 'w3layouts'),
                    'section'=> 'LandingPageTeamSection',
                    'settings'=> 'LandingPageTeam1TitleUrl'
                )));

        $wp_customize->add_setting('LandingPageTeam1SocialFacebook',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageTeam1SocialFacebook',
                array('label'=> __('LP Team1 Facebook Required', 'w3layouts'),
                    'section'=> 'LandingPageTeamSection',
                    'settings'=> 'LandingPageTeam1SocialFacebook'
                )));

        $wp_customize->add_setting('LandingPageTeam1SocialFacebookURL', array('default'=> 'https://www.facebook.com/w3layouts/',
                'transport'=> 'refresh', ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'LandingPageTeam1SocialFacebookURL',
                array('label'=> __('LP Team1 FaceBook URL', 'w3layouts'),
                    'section'=> 'LandingPageTeamSection',
                    'settings'=> 'LandingPageTeam1SocialFacebookURL'
                )));

        $wp_customize->add_setting('LandingPageTeam1SocialTwitter',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageTeam1SocialTwitter',
                array('label'=> __('LP Team1 Twitter Required', 'w3layouts'),
                    'section'=> 'LandingPageTeamSection',
                    'settings'=> 'LandingPageTeam1SocialTwitter'
                )));

        $wp_customize->add_setting('LandingPageTeam1SocialTwitterURL', array('default'=> 'https://twitter.com/W3layouts',
                'transport'=> 'refresh', ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'LandingPageTeam1SocialTwitterURL',
                array('label'=> __('LP Team1 Twitter URL', 'w3layouts'),
                    'section'=> 'LandingPageTeamSection',
                    'settings'=> 'LandingPageTeam1SocialTwitterURL'
                )));

        $wp_customize->add_setting('LandingPageTeam1SocialInstagram',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageTeam1SocialInstagram',
                array('label'=> __('LP Team1 Instagram Required', 'w3layouts'),
                    'section'=> 'LandingPageTeamSection',
                    'settings'=> 'LandingPageTeam1SocialInstagram'
                )));

        $wp_customize->add_setting('LandingPageTeam1SocialInstagramURL', array('default'=> 'https://instagram.com/W3layouts',
                'transport'=> 'refresh', ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'LandingPageTeam1SocialInstagramURL',
                array('label'=> __('LP Team1 Instagram URL', 'w3layouts'),
                    'section'=> 'LandingPageTeamSection',
                    'settings'=> 'LandingPageTeam1SocialInstagramURL'
                )));
        // Team 1


        // Team 2
        $wp_customize->add_setting('LandingPageTeam2Required',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageTeam2Required',
                array('label'=> __('LP Team2 Required', 'w3layouts'),
                    'section'=> 'LandingPageTeamSection',
                    'settings'=> 'LandingPageTeam2Required'
                )));

        $wp_customize->add_setting('LandingPageTeam2Image',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'LandingPageTeam2Image',
                array('label'=> __('LP Team2 image'),
                    'description'=> esc_html__(''),
                    'section'=> 'LandingPageTeamSection',
                    'flex_width'=> false, // Optional. Default: false
                    'flex_height'=> true, // Optional. Default: false
                    'width'=> 300, // Optional. Default: 150
                    'height'=> 300, // Optional. Default: 150
                    'button_labels'=> array( // Optional.
                        'select'=> __('Select Image'),
                        'change'=> __('Change Image'),
                        'remove'=> __('Remove'),
                        'default'=> __('Default'),
                        'placeholder'=> __('No image selected'),
                        'frame_title'=> __('Select Image'),
                        'frame_button'=> __('Choose Image'),
                    ))));

        $wp_customize->add_setting('LandingPageTeam2Title', array('default'=> 'Meyer Lson',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'LandingPageTeam2Title',
                array('label'=> __('LP Team2 Name', 'w3layouts'),
                    'section'=> 'LandingPageTeamSection',
                    'settings'=> 'LandingPageTeam2Title'
                )));

        $wp_customize->add_setting('LandingPageTeam2TitleUrl', array('default'=> '#url',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'LandingPageTeam2TitleUrl',
                array('label'=> __('LP Team2 Name Url', 'w3layouts'),
                    'section'=> 'LandingPageTeamSection',
                    'settings'=> 'LandingPageTeam2TitleUrl'
                )));

        $wp_customize->add_setting('LandingPageTeam2SocialFacebook',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageTeam2SocialFacebook',
                array('label'=> __('LP Team2 Facebook Required', 'w3layouts'),
                    'section'=> 'LandingPageTeamSection',
                    'settings'=> 'LandingPageTeam2SocialFacebook'
                )));

        $wp_customize->add_setting('LandingPageTeam2SocialFacebookURL', array('default'=> 'https://www.facebook.com/w3layouts/',
                'transport'=> 'refresh', ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'LandingPageTeam2SocialFacebookURL',
                array('label'=> __('LP Team2 FaceBook URL', 'w3layouts'),
                    'section'=> 'LandingPageTeamSection',
                    'settings'=> 'LandingPageTeam2SocialFacebookURL'
                )));

        $wp_customize->add_setting('LandingPageTeam2SocialTwitter',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageTeam2SocialTwitter',
                array('label'=> __('LP Team2 Twitter Required', 'w3layouts'),
                    'section'=> 'LandingPageTeamSection',
                    'settings'=> 'LandingPageTeam2SocialTwitter'
                )));

        $wp_customize->add_setting('LandingPageTeam2SocialTwitterURL', array('default'=> 'https://twitter.com/W3layouts',
                'transport'=> 'refresh', ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'LandingPageTeam2SocialTwitterURL',
                array('label'=> __('LP Team2 Twitter URL', 'w3layouts'),
                    'section'=> 'LandingPageTeamSection',
                    'settings'=> 'LandingPageTeam2SocialTwitterURL'
                )));
        
        $wp_customize->add_setting('LandingPageTeam2SocialInstagram',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageTeam2SocialInstagram',
                array('label'=> __('LP Team2 Instagram Required', 'w3layouts'),
                    'section'=> 'LandingPageTeamSection',
                    'settings'=> 'LandingPageTeam2SocialInstagram'
                )));

        $wp_customize->add_setting('LandingPageTeam2SocialInstagramURL', array('default'=> 'https://linkedin.com/W3layouts',
                'transport'=> 'refresh', ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'LandingPageTeam2SocialInstagramURL',
                array('label'=> __('LP Team2 Instagram URL', 'w3layouts'),
                    'section'=> 'LandingPageTeamSection',
                    'settings'=> 'LandingPageTeam2SocialInstagramURL'
                )));
        // Team 2


        // Team 3
        $wp_customize->add_setting('LandingPageTeam3Required',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageTeam3Required',
                array('label'=> __('LP Team3 Required', 'w3layouts'),
                    'section'=> 'LandingPageTeamSection',
                    'settings'=> 'LandingPageTeam3Required'
                )));

        $wp_customize->add_setting('LandingPageTeam3Image',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'LandingPageTeam3Image',
                array('label'=> __('LP Team3 image'),
                    'description'=> esc_html__(''),
                    'section'=> 'LandingPageTeamSection',
                    'flex_width'=> false, // Optional. Default: false
                    'flex_height'=> true, // Optional. Default: false
                    'width'=> 300, // Optional. Default: 150
                    'height'=> 300, // Optional. Default: 150
                    'button_labels'=> array( // Optional.
                        'select'=> __('Select Image'),
                        'change'=> __('Change Image'),
                        'remove'=> __('Remove'),
                        'default'=> __('Default'),
                        'placeholder'=> __('No image selected'),
                        'frame_title'=> __('Select Image'),
                        'frame_button'=> __('Choose Image'),
                    ))));

        $wp_customize->add_setting('LandingPageTeam3Title', array('default'=> 'Lyn Meyer',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'LandingPageTeam3Title',
                array('label'=> __('LP Team3 Name', 'w3layouts'),
                    'section'=> 'LandingPageTeamSection',
                    'settings'=> 'LandingPageTeam3Title'
                )));

        $wp_customize->add_setting('LandingPageTeam3TitleUrl', array('default'=> '#url',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'LandingPageTeam3TitleUrl',
                array('label'=> __('LP Team3 Name Url', 'w3layouts'),
                    'section'=> 'LandingPageTeamSection',
                    'settings'=> 'LandingPageTeam3TitleUrl'
                )));

        $wp_customize->add_setting('LandingPageTeam3SocialFacebook',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageTeam3SocialFacebook',
                array('label'=> __('LP Team 3 Facebook Required', 'w3layouts'),
                    'section'=> 'LandingPageTeamSection',
                    'settings'=> 'LandingPageTeam3SocialFacebook'
                )));

        $wp_customize->add_setting('LandingPageTeam3SocialFacebookURL', array('default'=> 'https://www.facebook.com/w3layouts/',
                'transport'=> 'refresh', ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'LandingPageTeam3SocialFacebookURL',
                array('label'=> __('LP Team3 FaceBook URL', 'w3layouts'),
                    'section'=> 'LandingPageTeamSection',
                    'settings'=> 'LandingPageTeam3SocialFacebookURL'
                )));

        $wp_customize->add_setting('LandingPageTeam3SocialTwitter',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageTeam3SocialTwitter',
                array('label'=> __('LP Team3 Twitter Required', 'w3layouts'),
                    'section'=> 'LandingPageTeamSection',
                    'settings'=> 'LandingPageTeam3SocialTwitter'
                )));

        $wp_customize->add_setting('LandingPageTeam3SocialTwitterURL', array('default'=> 'https://twitter.com/W3layouts',
            'transport'=> 'refresh', ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageTeam3SocialTwitterURL',
            array('label'=> __('LP Team3 Twitter URL', 'w3layouts'),
                'section'=> 'LandingPageTeamSection',
                'settings'=> 'LandingPageTeam3SocialTwitterURL'
            )));
    
        $wp_customize->add_setting('LandingPageTeam3SocialInstagram', array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 
                'LandingPageTeam3SocialInstagram',
                array('label'=> __('LP Team3 Instagram Required', 'w3layouts'),
                    'section'=> 'LandingPageTeamSection',
                    'settings'=> 'LandingPageTeam3SocialInstagram'
                )));

        $wp_customize->add_setting('LandingPageTeam3SocialInstagramURL', array('default'=> 'https://instagram.com/W3layouts',
                'transport'=> 'refresh', ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'LandingPageTeam3SocialInstagramURL',
                array('label'=> __('LP Team3 Instagram URL', 'w3layouts'),
                    'section'=> 'LandingPageTeamSection',
                    'settings'=> 'LandingPageTeam3SocialInstagramURL'
                )));

        // Team3


        // Team4
        $wp_customize->add_setting('LandingPageTeam4Required',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageTeam4Required',
                array('label'=> __('LP Team4 Required', 'w3layouts'),
                    'section'=> 'LandingPageTeamSection',
                    'settings'=> 'LandingPageTeam4Required'
                )));

        $wp_customize->add_setting('LandingPageTeam4Image',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'LandingPageTeam4Image',
                array('label'=> __('LP Team4 image'),
                    'description'=> esc_html__(''),
                    'section'=> 'LandingPageTeamSection',
                    'flex_width'=> false, // Optional. Default: false
                    'flex_height'=> true, // Optional. Default: false
                    'width'=> 300, // Optional. Default: 150
                    'height'=> 300, // Optional. Default: 150
                    'button_labels'=> array( // Optional.
                        'select'=> __('Select Image'),
                        'change'=> __('Change Image'),
                        'remove'=> __('Remove'),
                        'default'=> __('Default'),
                        'placeholder'=> __('No image selected'),
                        'frame_title'=> __('Select Image'),
                        'frame_button'=> __('Choose Image'),
                    ))));

        $wp_customize->add_setting('LandingPageTeam4Title', array('default'=> 'Sam Mills',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'LandingPageTeam4Title',
                array('label'=> __('LP Team4 Name', 'w3layouts'),
                    'section'=> 'LandingPageTeamSection',
                    'settings'=> 'LandingPageTeam4Title'
                )));

        $wp_customize->add_setting('LandingPageTeam4TitleUrl', array('default'=> '#url',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'LandingPageTeam4TitleUrl',
                array('label'=> __('LP Team4 Name Url', 'w3layouts'),
                    'section'=> 'LandingPageTeamSection',
                    'settings'=> 'LandingPageTeam4TitleUrl'
                )));

        $wp_customize->add_setting('LandingPageTeam4SocialFacebook',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageTeam4SocialFacebook',
                array('label'=> __('LP Team4 Facebook Required', 'w3layouts'),
                    'section'=> 'LandingPageTeamSection',
                    'settings'=> 'LandingPageTeam4SocialFacebook'
                )));

        $wp_customize->add_setting('LandingPageTeam4SocialFacebookURL', array('default'=> 'https://www.facebook.com/w3layouts/',
                'transport'=> 'refresh', ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'LandingPageTeam4SocialFacebookURL',
                array('label'=> __('LP Team4 FaceBook URL', 'w3layouts'),
                    'section'=> 'LandingPageTeamSection',
                    'settings'=> 'LandingPageTeam4SocialFacebookURL'
                )));

        $wp_customize->add_setting('LandingPageTeam4SocialTwitter',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageTeam4SocialTwitter',
                array('label'=> __('LP Team4 Twitter Required', 'w3layouts'),
                    'section'=> 'LandingPageTeamSection',
                    'settings'=> 'LandingPageTeam4SocialTwitter'
                )));

        $wp_customize->add_setting('LandingPageTeam4SocialTwitterURL', array('default'=> 'https://twitter.com/W3layouts',
                'transport'=> 'refresh', ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'LandingPageTeam4SocialTwitterURL',
                array('label'=> __('LP Team4 Twitter URL', 'w3layouts'),
                    'section'=> 'LandingPageTeamSection',
                    'settings'=> 'LandingPageTeam4SocialTwitterURL'
                )));

        $wp_customize->add_setting('LandingPageTeam4SocialInstagram',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageTeam4SocialInstagram',
                array('label'=> __('LP Team4 Instagram Required', 'w3layouts'),
                    'section'=> 'LandingPageTeamSection',
                    'settings'=> 'LandingPageTeam4SocialInstagram'
                )));

        $wp_customize->add_setting('LandingPageTeam4SocialInstagramURL', array('default'=> 'https://linkedin.com/W3layouts',
                'transport'=> 'refresh', ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'LandingPageTeam4SocialInstagramURL',
                array('label'=> __('LP Team4 Instagram URL', 'w3layouts'),
                    'section'=> 'LandingPageTeamSection',
                    'settings'=> 'LandingPageTeam4SocialInstagramURL'
                )));
        // Team4

        // LandingPage Team top & bottom  area textarea

        $wp_customize->add_setting('LandingPageTeamTopArea', array('default'=> '',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'LandingPageTeamTopArea',
                array('label'=> __('LP Team Top', 'w3layouts'),
                    'section'=> 'LandingPageTeamSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));

        $wp_customize->add_setting('LandingPageTeamBottomArea', array('default'=> '',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'LandingPageTeamBottomArea',
                array('label'=> __('LP Team Bottom', 'w3layouts'),
                    'section'=> 'LandingPageTeamSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));
        // LandingPage Team top & bottom  area textarea

        /** LandingPage Team ends **/




    /** Contact page full section starts **/

    $wp_customize->add_setting('LandingPageContactRequired',
      array('default'=> 1,
        'transport'=> 'refresh',
        'sanitize_callback'=> 'skyrocket_switch_sanitization'
      ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageContactRequired',
        array('label'=> __('LP Contact Section required', 'w3layouts'),
          'section'=> 'LandingPageContactSection',
          'settings'=> 'LandingPageContactRequired',
          'priority'=> 1)));
    $wp_customize->selective_refresh->add_partial('LandingPageContactRequired', array('selector'=> 'div.LPContactSection', // You can also select a css class
      ));



    $wp_customize->add_setting('LPContactToEmail', array('default'=> 'contact@email-me.com',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LPContactToEmail',
        array('label'=> __('Contact email address', 'w3layouts'),
          'section'=> 'LandingPageContactSection',
          'description'=> __('Who should receive email when contact form submitted Eg: contact@email-me.com'),
          'settings'=> 'LPContactToEmail'
        )));

    /** LandingPageContact Details Required **/

    $wp_customize->add_setting('LPContactDetailsRequired',
      array('default'=> 1,
        'transport'=> 'refresh',
        'sanitize_callback'=> 'skyrocket_switch_sanitization'
      ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LPContactDetailsRequired',
        array('label'=> __('LP Contact Details Required', 'w3layouts'),
          'section'=> 'LandingPageContactSection',
          'settings'=> 'LPContactDetailsRequired'
        )));

    $wp_customize->add_setting('ContactUsTitle', array('default'=> 'Get in touch with us',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'ContactUsTitle',
        array('label'=> __('LP Contact Section Title', 'w3layouts'),
          'section'=> 'LandingPageContactSection',
          'settings'=> 'ContactUsTitle',
        )));

    $wp_customize->add_setting('LandingPageContactAddressRequired',
      array('default'=> 1,
        'transport'=> 'refresh',
        'sanitize_callback'=> 'skyrocket_switch_sanitization'
      ));

    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageContactAddressRequired',
        array('label'=> __('LP Contact Address required', 'w3layouts'),
          'section'=> 'LandingPageContactSection',
          'settings'=> 'LandingPageContactAddressRequired'
        )));

    $wp_customize->add_setting('LPContactAddressIcon', array('default'=> 'fa fa-globe',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LPContactAddressIcon',
        array('label'=> __('LP Contact Address Icon', 'w3layouts'),
          'section'=> 'LandingPageContactSection',
          'settings'=> 'LPContactAddressIcon',
        )));

    $wp_customize->add_setting('LPContactAddressTitle', array('default'=> "Company Address",
        'transport'=> 'refresh',
      ));

    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LPContactAddressTitle',
        array('label'=> __('LP Contact Location Title', 'w3layouts'),
          'section'=> 'LandingPageContactSection',
          'settings'=> 'LPContactAddressTitle'
        )));

    $wp_customize->add_setting('LPContactAddress', array('default'=> '10001, 5th Avenue, 12202 street, London.',
        'transport'=> 'refresh',
      ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LPContactAddress',
        array('label'=> __('LP Contact Address', 'w3layouts'),
          'section'=> 'LandingPageContactSection',
          'type'=> 'textarea',
          'input_attrs'=> array('class'=> 'my-custom-class',
            'style'=> 'border: 1px solid #999',
            'placeholder'=> __('Enter message...', 'w3layouts'),
          ),
        )));

    $wp_customize->add_setting('LandingPageContactNumberRequired',
      array('default'=> 1,
        'transport'=> 'refresh',
        'sanitize_callback'=> 'skyrocket_switch_sanitization'
      ));

    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageContactNumberRequired',
        array('label'=> __('LP Contact Number required', 'w3layouts'),
          'section'=> 'LandingPageContactSection',
          'settings'=> 'LandingPageContactNumberRequired'
        )));

      $wp_customize->add_setting('LPContactPhoneIcon', array('default'=> 'fa fa-phone',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LPContactPhoneIcon',
        array('label'=> __('LP Contact Phone Icon', 'w3layouts'),
          'section'=> 'LandingPageContactSection',
          'settings'=> 'LPContactPhoneIcon',
        )));

    $wp_customize->add_setting('LPContactPhoneTitle', array('default'=> "Call Us",
        'transport'=> 'refresh',
      ));

    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LPContactPhoneTitle',
        array('label'=> __('LP Contact Phone Number Title', 'w3layouts'),
          'section'=> 'LandingPageContactSection',
          'settings'=> 'LPContactPhoneTitle'
        )));

    $wp_customize->add_setting('LPContactNumber', array('default'=> '+1(21) 112 7368',
        'transport'=> 'refresh',
      ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LPContactNumber',
        array('label'=> __('LP Contact Phone Number', 'w3layouts'),
          'section'=> 'LandingPageContactSection',
          'settings'=> 'LPContactNumber'
        )));

    $wp_customize->add_setting('LPContactNumberUrl', array('default'=> 'tel:+1(21) 112 7368',
        'transport'=> 'refresh',
      ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LPContactNumberUrl',
        array('label'=> __('LP Contact Phone Number URL', 'w3layouts'),
          'section'=> 'LandingPageContactSection',
          'settings'=> 'LPContactNumberUrl'
        )));
      

      $wp_customize->add_setting('LandingPageContactEmailRequired',
        array('default'=> 1,
          'transport'=> 'refresh',
          'sanitize_callback'=> 'skyrocket_switch_sanitization'
        ));
      $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageContactEmailRequired',
          array('label'=> __('LP Email Address required', 'w3layouts'),
            'section'=> 'LandingPageContactSection',
            'settings'=> 'LandingPageContactEmailRequired'
          )));
      
      $wp_customize->add_setting('LPContactEmailIcon', array('default'=> 'fa fa-envelope-open',
        'transport'=> 'refresh', ));
      $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LPContactEmailIcon',
        array('label'=> __('LP Contact Email Icon', 'w3layouts'),
          'section'=> 'LandingPageContactSection',
          'settings'=> 'LPContactEmailIcon',
        )));
      $wp_customize->add_setting('LPContactEmailTitle', array('default'=> "Email Us",
          'transport'=> 'refresh',
        ));
      $wp_customize->add_control(new WP_Customize_Control($wp_customize,
          'LPContactEmailTitle',
          array('label'=> __('LP Contact Email Title', 'w3layouts'),
            'section'=> 'LandingPageContactSection',
            'settings'=> 'LPContactEmailTitle'
          )));
  
      $wp_customize->add_setting('LPContactOfficialMailtxt', array('default'=> 'example@mail.com',
          'transport'=> 'refresh',
        ));
      $wp_customize->add_control(new WP_Customize_Control($wp_customize,
          'LPContactOfficialMailtxt',
          array('label'=> __('LP Contact MailID', 'w3layouts'),
            'section'=> 'LandingPageContactSection',
            'settings'=> 'LPContactOfficialMailtxt'
          )));
  
      $wp_customize->add_setting('LPContactOfficialMailUrl', array('default'=> 'example@mail.com',
          'transport'=> 'refresh',
        ));
      $wp_customize->add_control(new WP_Customize_Control($wp_customize,
          'LPContactOfficialMailUrl',
          array('label'=> __('LP Contact MailID URL', 'w3layouts'),
            'section'=> 'LandingPageContactSection',
            'settings'=> 'LPContactOfficialMailUrl'
          )));


    $wp_customize->add_setting('LandingPageContactSupportRequired',
      array('default'=> 1,
        'transport'=> 'refresh',
        'sanitize_callback'=> 'skyrocket_switch_sanitization'
      ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageContactSupportRequired',
        array('label'=> __('LP Support Mail required', 'w3layouts'),
          'section'=> 'LandingPageContactSection',
          'settings'=> 'LandingPageContactSupportRequired'
        )));
      
    $wp_customize->add_setting('LPContactSupportMailIcon', array('default'=> 'fa fa-headphones',
      'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
      'LPContactSupportMailIcon',
      array('label'=> __('LP Support Mail Icon', 'w3layouts'),
        'section'=> 'LandingPageContactSection',
        'settings'=> 'LPContactSupportMailIcon',
      )));
    $wp_customize->add_setting('LPContactSupportTitle', array('default'=> "Customer Support",
        'transport'=> 'refresh',
      ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LPContactSupportTitle',
        array('label'=> __('LP Support Mail Title', 'w3layouts'),
          'section'=> 'LandingPageContactSection',
          'settings'=> 'LPContactSupportTitle'
        )));

    $wp_customize->add_setting('LPContactSupportMailtxt', array('default'=> 'info@support.com',
        'transport'=> 'refresh',
      ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LPContactSupportMailtxt',
        array('label'=> __('LP Support MailID', 'w3layouts'),
          'section'=> 'LandingPageContactSection',
          'settings'=> 'LPContactSupportMailtxt'
        )));

    $wp_customize->add_setting('LPContactSupportMailUrl', array('default'=> 'info@support.com',
        'transport'=> 'refresh',
      ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LPContactSupportMailUrl',
        array('label'=> __('LP Support MailID URL', 'w3layouts'),
          'section'=> 'LandingPageContactSection',
          'settings'=> 'LPContactSupportMailUrl'
        )));



    // Contact Page top & bottom  textarea

    $wp_customize->add_setting('LandingPageContactTopArea', array('default'=> '',
        'transport'=> 'refresh',
      ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LandingPageContactTopArea',
        array('label'=> __('Contact Top', 'w3layouts'),
          'section'=> 'LandingPageContactSection',
          'type'=> 'textarea',
          'input_attrs'=> array('class'=> 'my-custom-class',
            'style'=> 'border: 1px solid #999',
            'placeholder'=> __('Enter message...', 'w3layouts'),
          ),
        )));

    $wp_customize->add_setting('LandingPageContactBottomArea', array('default'=> '',
        'transport'=> 'refresh',
      ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LandingPageContactBottomArea',
        array('label'=> __('Contact Bottom', 'w3layouts'),
          'section'=> 'LandingPageContactSection',
          'type'=> 'textarea',
          'input_attrs'=> array('class'=> 'my-custom-class',
            'style'=> 'border: 1px solid #999',
            'placeholder'=> __('Enter message...', 'w3layouts'),
          ),
        )));

    // Contact Page top & bottom  textarea



    /** LandingPageContact Form Required **/

    $wp_customize->add_setting('LandingPageContactFormRequired',
      array('default'=> 1,
        'transport'=> 'refresh',
        'sanitize_callback'=> 'skyrocket_switch_sanitization'
      ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageContactFormRequired',
        array('label'=> __('LP Contact Form Required', 'w3layouts'),
          'section'=> 'LandingPageContactForm',
          'settings'=> 'LandingPageContactFormRequired'
        )));
    $wp_customize->selective_refresh->add_partial('LandingPageContactFormRequired', array('selector'=> 'div.LandingPageContactForm', // You can also select a css class
      ));

    $wp_customize->add_setting('LPContactFormTitle', array('default'=> 'We will Answer all your <span>Questions</span>',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LPContactFormTitle',
        array('label'=> __('LP Contact Form Title', 'w3layouts'),
          'section'=> 'LandingPageContactForm',
          'settings'=> 'LPContactFormTitle',
        )));
        
    $wp_customize->add_setting('LPContactToEmail', array('default'=> 'contact@email-me.com',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LPContactToEmail',
        array('label'=> __('LP Contact email address', 'w3layouts'),
          'section'=> 'LandingPageContactForm',
          'description'=> __('Who should receive email when contact form submitted Eg: contact@email-me.com'),
          'settings'=> 'LPContactToEmail'
        )));


    // $wp_customize->add_setting('LandingPageContactFormURL', array('default'=> 'https://app.hoverforms.com/SubmitForm/w3layouts',
    //     'transport'=> 'refresh', ));
    // $wp_customize->add_control(new WP_Customize_Control($wp_customize,
    //     'LandingPageContactFormURL',
    //     array('label'=> __('Form Action URL', 'w3layouts'),
    //       'section'=> 'LandingPageContactForm',
    //       'settings'=> 'LandingPageContactFormURL',
    //     )));

    $wp_customize->add_setting('LandingPageContactFormName', array('default'=> 'w3lName',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LandingPageContactFormName',
        array('label'=> __('LP Name field Name', 'w3layouts'),
          'section'=> 'LandingPageContactForm',
          'settings'=> 'LandingPageContactFormName',
        )));

    $wp_customize->add_setting('LandingPageContactFormNameplaceholder', array('default'=> 'Your Name*',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LandingPageContactFormNameplaceholder',
        array('label'=> __('LP Name field Placeholder', 'w3layouts'),
          'section'=> 'LandingPageContactForm',
          'settings'=> 'LandingPageContactFormNameplaceholder',
        )));

    $wp_customize->add_setting('LandingPageContactFormEmail', array('default'=> 'w3lSender',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LandingPageContactFormEmail',
        array('label'=> __('LP Email field Name', 'w3layouts'),
          'section'=> 'LandingPageContactForm',
          'settings'=> 'LandingPageContactFormEmail',
        )));

    $wp_customize->add_setting('LandingPageContactFormEmailplaceholder', array('default'=> 'Your Email*',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LandingPageContactFormEmailplaceholder',
        array('label'=> __('LP Email field Placeholder', 'w3layouts'),
          'section'=> 'LandingPageContactForm',
          'settings'=> 'LandingPageContactFormEmailplaceholder',
        )));

    $wp_customize->add_setting('LandingPageContactFormSubject', array('default'=> 'w3lSubject',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LandingPageContactFormSubject',
        array('label'=> __('LP Subject field Name', 'w3layouts'),
          'section'=> 'LandingPageContactForm',
          'settings'=> 'LandingPageContactFormSubject',
        )));

    $wp_customize->add_setting('LandingPageContactFormSubjectplaceholder', array('default'=> 'Subject*',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LandingPageContactFormSubjectplaceholder',
        array('label'=> __('LP Subject field Placeholder', 'w3layouts'),
          'section'=> 'LandingPageContactForm',
          'settings'=> 'LandingPageContactFormSubjectplaceholder',
        )));

    $wp_customize->add_setting('LandingPageContactFormMessage', array('default'=> 'w3lMessage',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LandingPageContactFormMessage',
        array('label'=> __('LP Message field Name', 'w3layouts'),
          'section'=> 'LandingPageContactForm',
          'settings'=> 'LandingPageContactFormMessage',
        )));

    $wp_customize->add_setting('LandingPageContactFormMessageplaceholder', array('default'=> 'Type your message here*',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LandingPageContactFormMessageplaceholder',
        array('label'=> __('LP Message field Placeholder', 'w3layouts'),
          'section'=> 'LandingPageContactForm',
          'settings'=> 'LandingPageContactFormMessageplaceholder',
        )));

    $wp_customize->add_setting('LandingPageContactFormBtn', array('default'=> 'Send Message',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LandingPageContactFormBtn',
        array('label'=> __('LP Button Text', 'w3layouts'),
          'section'=> 'LandingPageContactForm',
          'settings'=> 'LandingPageContactFormBtn',
        )));

    /** LandingPageContact Form Required **/

    /** Contact page full section ends **/



    /** Contact page Map starts **/

    $wp_customize->add_setting('LandingPageMapRequired',
      array('default'=> 1,
        'transport'=> 'refresh',
        'sanitize_callback'=> 'skyrocket_switch_sanitization'
      ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageMapRequired',
        array('label'=> __('LP Contact Map required', 'w3layouts'),
          'section'=> 'LandingPageMap',
          'settings'=> 'LandingPageMapRequired'
        )));
    $wp_customize->selective_refresh->add_partial('LandingPageMapRequired', array('selector'=> 'div.LandingPageMap', // You can also select a css class
      ));

    $wp_customize->add_setting('LandingPageMapURL', array('default'=> 'https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d387193.3059445135!2d-74.25986613799748!3d40.69714941774136!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!4m3!3e3!4m0!4m0!5e0!3m2!1sen!2sin!4v1570181661801!5m2!1sen!2sin',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LandingPageMapURL',
        array('label'=> __('LP Map URL', 'w3layouts'),
          'section'=> 'LandingPageMap',
          'settings'=> 'LandingPageMapURL',
        )));

    /** Contact page Map ends **/


    }

}